# coding:utf-8
import pymysql, redis, re, html, jieba, random, os, csv, urllib.request, smtplib, zipfile, string
from openpyxl import load_workbook
from aip import AipNlp
from email.mime.text import MIMEText
from email.mime.multipart import MIMEMultipart
from aip import AipContentCensor
from w3lib import html


# 分割列表(列表，条数)
def fenge(lst, n):
    for i in range(0, len(lst), n):
        yield lst[i:i + n]


# 压缩文件夹（路径，压缩文件名）
def zip_ya(startdir, file_news):
    z = zipfile.ZipFile(file_news, 'w', zipfile.ZIP_DEFLATED)
    for dirpath, dirnames, filenames in os.walk(startdir):
        fpath = dirpath.replace(startdir, '')  # 这一句很重要，不replace的话，就从根目录开始复制
        fpath = fpath and fpath + os.sep or ''
        for filename in filenames:
            z.write(os.path.join(dirpath, filename), fpath + filename)
            print('压缩成功')
    z.close()


# 解压缩文件夹（路径，解压缩文件名）
def zip_jie(file_dir, file_news):
    zipFile = zipfile.ZipFile(file_dir)
    for file in zipFile.namelist():
        zipFile.extract(file, file_news)
    zipFile.close()


# 链接pymysql数据库
def pymysql_lianjie(ip, user, key, db):
    return pymysql.connect(host=ip, user=user, password=key, database=db, charset="utf8mb4")


# 链接redis数据库
def redis_lianjie(ip, key, prot, db):
    pool = redis.ConnectionPool(host=ip, port=prot, password=key, db=db, decode_responses=True)
    return redis.Redis(connection_pool=pool)


# 邮箱提醒（含附件）
def email_fujian(smtp, key, user, user_to, title, content, fujian):
    # 定义发件人邮箱
    user = user
    # QQ邮箱POP3/SMTP的授权码
    pwd = key
    # 自定义收件人
    to = user_to
    # 创建一个可以同时添加正文和附件的msg
    msg = MIMEMultipart()
    # 设置HTML格式的邮件正文
    # 三个单引号表示包围注释内容，用来包含HTML代码
    mail_msg = content
    # 如果仅添加正文可以用此公式：msg=MIMEText(mail_msg,'html','utf-8')#表示添加正文内容
    msg.attach(MIMEText(mail_msg, 'html', 'utf-8'))  # 添加正文
    # 添加附件
    att1 = MIMEText(open(fujian, 'rb').read(), 'base64', 'utf-8')  # 添加附件，由于定义了中文编码，所以文件可以带中文
    att1["Content-Type"] = 'application/octet-stream'  # 数据传输类型的定义
    att1["Content-Disposition"] = 'attachment;filename=%s' % fujian  # 定义文件在邮件中显示的文件名和后缀名，名字不可为中文
    msg.attach(att1)  # 将附件添加到邮件内容当中
    # 配置调用邮件信息
    msg['Subject'] = title  # 设置邮件主题
    msg['From'] = user  # 设置发件人
    msg['To'] = to  # 设置收件人
    # 执行命令
    s = smtplib.SMTP_SSL(smtp,
                         465)  # 选择QQ邮箱服务，默认端口465（smtplib.SMTP()：构造函数，功能是与smtp服务器建立连接，连接成功后，就可以向服务器发送相关请求，比如登录，校验，发送，退出）
    s.login(user, pwd)  # 登录QQ邮箱
    s.send_message(msg)  # 发送邮件
    s.quit()  # 退出QQ邮箱服务
    print('成功发送')


# 报错邮箱(不含附件)
def email(smtp, key, user, user_to, title, content):
    # 构造邮件内容
    msg = MIMEText(content)
    # 设置邮件主题
    msg["Subject"] = title
    # 发送者
    msg['From'] = user
    # 邮箱服务账号
    from_addr = user
    # 邮箱服务器密码
    password = key
    # 收件人地址
    to_addr = user_to
    # smtp服务器地址
    smtp_server = smtp
    # smtp协议的默认端口是25，QQ邮箱smtp服务器端口是465，第三个参数是超时设置
    server = smtplib.SMTP_SSL(smtp_server, 465, timeout=2)
    server.ehlo()
    # 登录邮箱
    server.login(from_addr, password)
    # 发送邮件，第一个参数是发送方地址，第二个参数是接收方列表，列表中可以有多个接收方地址，msg.as_string()将MIMEText对象转化成文本
    server.sendmail(from_addr, [to_addr], msg.as_string())
    # 关闭邮箱
    server.quit()
    print('成功发送邮件')


# 数据库读取
def mysql_du(db, sql):
    # 创建游标
    cursor = db.cursor()
    cursor.execute(sql)
    # 读取值
    zhi = cursor.fetchone()

    cursor.close()
    return zhi


# 读取指定路径下所有文件
def get_file_du(path):
    lujing = []
    filelist = os.listdir(path)
    for filename in filelist:
        filepath = os.path.join(path, filename)
        if os.path.isdir(filepath):
            get_file_du(filepath)
        lujing.append(filepath)
    return lujing


# 生成随机ua
def get_ua():
    first_num = random.randint(55, 62)
    third_num = random.randint(0, 3200)
    fourth_num = random.randint(0, 140)
    os_type = [
        '(Windows NT 6.1; WOW64)', '(Windows NT 10.0; WOW64)', '(X11; Linux x86_64)',
        '(Macintosh; Intel Mac OS X 10_12_6)'
    ]
    chrome_version = 'Chrome/{}.0.{}.{}'.format(first_num, third_num, fourth_num)

    ua = ' '.join(['Mozilla/5.0', random.choice(os_type), 'AppleWebKit/537.36',
                   '(KHTML, like Gecko)', chrome_version, 'Safari/537.36']
                  )
    return ua


# 生成停滞词文件
def get_tingzhici():
    # 关闭jieba报错
    jieba.setLogLevel(jieba.logging.INFO)
    tzc = ['啊 \n', '阿 \n', '哎 \n', '哎呀 \n', '哎哟 \n', '唉\n', '哪位\n', '这位\n', '俺 \n', '俺们 \n', '按 \n', '按照 \n', '吧 \n',
           '吧哒\n', '出个\n', '超标\n', '中档\n', '高档\n', '抵挡\n', '意思\n', '把 \n', '罢了 \n', '被 \n', '本 \n', '本着 \n', '比 \n',
           '比方 \n', '比如 \n', '鄙人 \n', '彼 \n', '彼此 \n', '边 \n', '别 \n', '别的 \n', '别说 \n', '并 \n', '并且 \n', '不比 \n',
           '不成 \n', '不单 \n', '不但 \n', '不独 \n', '不管 \n', '不光 \n', '不过 \n', '不仅 \n', '不拘 \n', '不论 \n', '不怕 \n', '不然 \n',
           '不如 \n', '不特 \n', '不惟 \n', '不问 \n', '不只 \n', '朝 \n', '朝着 \n', '趁 \n', '趁着 \n', '乘 \n', '冲 \n', '除 \n',
           '除此之外 \n', '除非 \n', '除了 \n', '此 \n', '此间 \n', '此外 \n', '从 \n', '从而 \n', '打 \n', '待 \n', '但 \n', '但是 \n',
           '当 \n', '当着 \n', '到 \n', '得 \n', '的 \n', '的话 \n', '等 \n', '等等 \n', '地 \n', '第 \n', '叮咚 \n', '对 \n', '对于 \n',
           '多 \n', '多少 \n', '而 \n', '而况 \n', '而且 \n', '而是 \n', '而外 \n', '而言 \n', '而已 \n', '尔后 \n', '反过来 \n', '反过来说 \n',
           '反之 \n', '非但 \n', '非徒 \n', '否则 \n', '嘎 \n', '嘎登 \n', '该 \n', '赶 \n', '个 \n', '各 \n', '各个 \n', '各位 \n',
           '各种 \n', '各自 \n', '给 \n', '根据 \n', '跟 \n', '故 \n', '故此 \n', '固然 \n', '关于 \n', '管 \n', '归 \n', '果然 \n',
           '果真 \n', '过 \n', '哈 \n', '哈哈 \n', '呵 \n', '和 \n', '何 \n', '何处 \n', '何况 \n', '何时 \n', '嘿 \n', '哼 \n', '哼唷 \n',
           '呼哧 \n', '乎 \n', '哗 \n', '还是 \n', '还有 \n', '换句话说 \n', '换言之 \n', '或 \n', '或是 \n', '或者 \n', '极了 \n', '及 \n',
           '及其 \n', '及至 \n', '即 \n', '即便 \n', '即或 \n', '即令 \n', '即若 \n', '即使 \n', '几 \n', '几时 \n', '己 \n', '既 \n',
           '既然 \n', '既是 \n', '继而 \n', '加之 \n', '假如 \n', '假若 \n', '假使 \n', '鉴于 \n', '将 \n', '较 \n', '较之 \n', '叫 \n',
           '接着 \n', '结果 \n', '借 \n', '紧接着 \n', '进而 \n', '尽 \n', '尽管 \n', '经 \n', '经过 \n', '就 \n', '就是 \n', '就是说 \n',
           '据 \n', '具体地说 \n', '具体说来 \n', '开始 \n', '开外 \n', '靠 \n', '咳 \n', '可 \n', '可见 \n', '可是 \n', '可以 \n', '况且 \n',
           '啦 \n', '来 \n', '来着 \n', '离 \n', '例如 \n', '哩 \n', '连 \n', '连同 \n', '两者 \n', '了 \n', '临 \n', '另 \n', '另外 \n',
           '另一方面 \n', '论 \n', '嘛 \n', '吗 \n', '慢说 \n', '漫说 \n', '冒 \n', '么 \n', '每 \n', '每当 \n', '们 \n', '莫若 \n',
           '某 \n', '某个 \n', '某些 \n', '拿 \n', '哪 \n', '哪边 \n', '哪儿 \n', '哪个 \n', '哪里 \n', '哪年 \n', '哪怕 \n', '哪天 \n',
           '哪些 \n', '哪样 \n', '那 \n', '那边 \n', '那儿 \n', '那个 \n', '那会儿 \n', '那里 \n', '那么 \n', '那么些 \n', '那么样 \n', '那时 \n',
           '那些 \n', '那样 \n', '乃 \n', '乃至 \n', '呢 \n', '能 \n', '你 \n', '你们 \n', '您 \n', '宁 \n', '宁可 \n', '宁肯 \n',
           '宁愿 \n', '哦 \n', '呕 \n', '啪达 \n', '旁人 \n', '呸 \n', '凭 \n', '凭借 \n', '其 \n', '其次 \n', '其二 \n', '其他 \n',
           '其它 \n', '其一 \n', '其余 \n', '其中 \n', '起 \n', '起见 \n', '岂但 \n', '恰恰相反 \n', '前后 \n', '前者 \n', '且 \n', '然而 \n',
           '然后 \n', '然则 \n', '让 \n', '人家 \n', '任 \n', '任何 \n', '任凭 \n', '如 \n', '如此 \n', '如果 \n', '如何 \n', '如其 \n',
           '如若 \n', '如上所述 \n', '若 \n', '若非 \n', '若是 \n', '啥 \n', '上下 \n', '尚且 \n', '设若 \n', '设使 \n', '甚而 \n', '甚么 \n',
           '甚至 \n', '省得 \n', '时候 \n', '什么 \n', '什么样 \n', '使得 \n', '是 \n', '是的 \n', '首先 \n', '谁 \n', '谁知 \n', '顺 \n',
           '顺着 \n', '似的 \n', '虽 \n', '虽然 \n', '虽说 \n', '虽则 \n', '随 \n', '随着 \n', '所 \n', '所以 \n', '他 \n', '他们 \n',
           '他人 \n', '它 \n', '它们 \n', '她 \n', '她们 \n', '倘 \n', '倘或 \n', '倘然 \n', '倘若 \n', '倘使 \n', '腾 \n', '替 \n',
           '通过 \n', '同 \n', '同时 \n', '哇 \n', '万一 \n', '往 \n', '望 \n', '为 \n', '为何 \n', '为了 \n', '为什么 \n', '为着 \n',
           '喂 \n', '嗡嗡 \n', '我 \n', '我们 \n', '呜 \n', '呜呼 \n', '乌乎 \n', '无论 \n', '无宁 \n', '毋宁 \n', '嘻 \n', '吓 \n',
           '相对而言 \n', '像 \n', '向 \n', '向着 \n', '嘘 \n', '呀 \n', '焉 \n', '沿 \n', '沿着 \n', '要 \n', '要不 \n', '要不然 \n',
           '要不是 \n', '要么 \n', '要是 \n', '也 \n', '也罢 \n', '也好 \n', '一 \n', '一般 \n', '一旦 \n', '一方面 \n', '一来 \n', '一切 \n',
           '一样 \n', '一则 \n', '依 \n', '依照 \n', '矣 \n', '以 \n', '以便 \n', '以及 \n', '以免 \n', '以至 \n', '以至于 \n', '以致 \n',
           '抑或 \n', '因 \n', '因此 \n', '因而 \n', '因为 \n', '哟 \n', '用 \n', '由 \n', '由此可见 \n', '由于 \n', '有 \n', '有的 \n',
           '有关 \n', '有些 \n', '又 \n', '于 \n', '于是 \n', '于是乎 \n', '与 \n', '与此同时 \n', '与否 \n', '与其 \n', '越是 \n', '云云 \n',
           '哉 \n', '再说 \n', '再者 \n', '在 \n', '在下 \n', '咱 \n', '咱们 \n', '则 \n', '怎 \n', '怎么 \n', '怎么办 \n', '怎么样 \n',
           '怎样 \n', '咋 \n', '照 \n', '照着 \n', '者 \n', '这 \n', '这边 \n', '这儿 \n', '这个 \n', '这会儿 \n', '这就是说 \n', '这里 \n',
           '这么 \n', '这么点儿 \n', '这么些 \n', '这么样 \n', '这时 \n', '这些 \n', '这样 \n', '正如 \n', '吱 \n', '之 \n', '之类 \n',
           '之所以 \n', '之一 \n', '只是 \n', '只限 \n', '只要 \n', '只有 \n', '至 \n', '至于 \n', '诸位 \n', '着 \n', '着呢 \n', '自 \n',
           '自从 \n', '自个儿 \n', '自各儿 \n', '自己 \n', '自家 \n', '自身 \n', '综上所述 \n', '总的来看 \n', '总的来说 \n', '总的说来 \n',
           '总而言之 \n', '总之 \n', '纵 \n', '纵令 \n', '纵然 \n', '纵使 \n', '遵照 \n', '作为 \n', '兮 \n', '呃 \n', '呗 \n', '咚 \n',
           '咦 \n', '喏 \n', '啐 \n', '喔唷 \n', '嗬 \n', '嗯 \n', '嗳 \n', '啊哈 \n', '啊呀 \n', '啊哟 \n', '挨次 \n', '挨个 \n',
           '挨家挨户 \n', '挨门挨户 \n', '挨门逐户 \n', '挨着 \n', '按理 \n', '按期 \n', '按时 \n', '按说 \n', '暗地里 \n', '暗中 \n', '暗自 \n',
           '昂然 \n', '八成 \n', '白白 \n', '半 \n', '梆 \n', '保管 \n', '保险 \n', '饱 \n', '背地里 \n', '背靠背 \n', '倍感 \n', '倍加 \n',
           '本人 \n', '本身 \n', '甭 \n', '比起 \n', '比如说 \n', '比照 \n', '毕竟 \n', '必 \n', '必定 \n', '必将 \n', '必须 \n', '便 \n',
           '别人 \n', '并非 \n', '并肩 \n', '并没 \n', '并没有 \n', '并排 \n', '并无 \n', '勃然 \n', '不 \n', '不必 \n', '不常 \n', '不大 \n',
           '不得 \n', '不得不 \n', '不得了 \n', '不得已 \n', '不迭 \n', '不定 \n', '不对 \n', '不妨 \n', '不管怎样 \n', '不会 \n', '不仅仅 \n',
           '不仅仅是 \n', '不经意 \n', '不可开交 \n', '不可抗拒 \n', '不力 \n', '不了 \n', '不料 \n', '不满 \n', '不免 \n', '不能不 \n', '不起 \n',
           '不巧 \n', '不然的话 \n', '不日 \n', '不少 \n', '不胜 \n', '不时 \n', '不是 \n', '不同 \n', '不能 \n', '不要 \n', '不外 \n',
           '不外乎 \n', '不下 \n', '不限 \n', '不消 \n', '不已 \n', '不亦乐乎 \n', '不由得 \n', '不再 \n', '不择手段 \n', '不怎么 \n', '不曾 \n',
           '不知不觉 \n', '不止 \n', '不止一次 \n', '不至于 \n', '才 \n', '才能 \n', '策略地 \n', '差不多 \n', '差一点 \n', '常 \n', '常常 \n',
           '常言道 \n', '常言说 \n', '常言说得好 \n', '长此下去 \n', '长话短说 \n', '长期以来 \n', '长线 \n', '敞开儿 \n', '彻夜 \n', '陈年 \n',
           '趁便 \n', '趁机 \n', '趁热 \n', '趁势 \n', '趁早 \n', '成年 \n', '成年累月 \n', '成心 \n', '乘机 \n', '乘胜 \n', '乘势 \n', '乘隙 \n',
           '乘虚 \n', '诚然 \n', '迟早 \n', '充分 \n', '充其极 \n', '充其量 \n', '抽冷子 \n', '臭 \n', '初 \n', '出 \n', '出来 \n', '出去 \n',
           '除此 \n', '除此而外 \n', '除此以外 \n', '除开 \n', '除去 \n', '除却 \n', '除外 \n', '处处 \n', '川流不息 \n', '传 \n', '传说 \n',
           '传闻 \n', '串行 \n', '纯 \n', '纯粹 \n', '此后 \n', '此中 \n', '次第 \n', '匆匆 \n', '从不 \n', '从此 \n', '从此以后 \n',
           '从古到今 \n', '从古至今 \n', '从今以后 \n', '从宽 \n', '从来 \n', '从轻 \n', '从速 \n', '从头 \n', '从未 \n', '从无到有 \n', '从小 \n',
           '从新 \n', '从严 \n', '从优 \n', '从早到晚 \n', '从中 \n', '从重 \n', '凑巧 \n', '粗 \n', '存心 \n', '达旦 \n', '打从 \n',
           '打开天窗说亮话 \n', '大 \n', '大不了 \n', '大大 \n', '大抵 \n', '大都 \n', '大多 \n', '大凡 \n', '大概 \n', '大家 \n', '大举 \n',
           '大略 \n', '大面儿上 \n', '大事 \n', '大体 \n', '大体上 \n', '大约 \n', '大张旗鼓 \n', '大致 \n', '呆呆地 \n', '带 \n', '殆 \n',
           '待到 \n', '单 \n', '单纯 \n', '单单 \n', '但愿 \n', '弹指之间 \n', '当场 \n', '当儿 \n', '当即 \n', '当口儿 \n', '当然 \n', '当庭 \n',
           '当头 \n', '当下 \n', '当真 \n', '当中 \n', '倒不如 \n', '倒不如说 \n', '倒是 \n', '到处 \n', '到底 \n', '到了儿 \n', '到目前为止 \n',
           '到头 \n', '到头来 \n', '得起 \n', '得天独厚 \n', '的确 \n', '等到 \n', '叮当 \n', '顶多 \n', '定 \n', '动不动 \n', '动辄 \n',
           '陡然 \n', '都 \n', '独 \n', '独自 \n', '断然 \n', '顿时 \n', '多次 \n', '多多 \n', '多多少少 \n', '多多益善 \n', '多亏 \n',
           '多年来 \n', '多年前 \n', '而后 \n', '而论 \n', '而又 \n', '尔等 \n', '二话不说 \n', '二话没说 \n', '反倒 \n', '反倒是 \n', '反而 \n',
           '反手 \n', '反之亦然 \n', '反之则 \n', '方 \n', '方才 \n', '方能 \n', '放量 \n', '非常 \n', '非得 \n', '分期 \n', '分期分批 \n',
           '分头 \n', '奋勇 \n', '愤然 \n', '风雨无阻 \n', '逢 \n', '弗 \n', '甫 \n', '嘎嘎 \n', '该当 \n', '概 \n', '赶快 \n', '赶早不赶晚 \n',
           '敢 \n', '敢情 \n', '敢于 \n', '刚 \n', '刚才 \n', '刚好 \n', '刚巧 \n', '高低 \n', '格外 \n', '隔日 \n', '隔夜 \n', '个人 \n',
           '各式 \n', '更 \n', '更加 \n', '更进一步 \n', '更为 \n', '公然 \n', '共 \n', '共总 \n', '够瞧的 \n', '姑且 \n', '古来 \n', '故而 \n',
           '故意 \n', '固 \n', '怪 \n', '怪不得 \n', '惯常 \n', '光 \n', '光是 \n', '归根到底 \n', '归根结底 \n', '过于 \n', '毫不 \n', '毫无 \n',
           '毫无保留地 \n', '毫无例外 \n', '好在 \n', '何必 \n', '何尝 \n', '何妨 \n', '何苦 \n', '何乐而不为 \n', '何须 \n', '何止 \n', '很 \n',
           '很多 \n', '很少 \n', '轰然 \n', '后来 \n', '呼啦 \n', '忽地 \n', '忽然 \n', '互 \n', '互相 \n', '哗啦 \n', '话说 \n', '还 \n',
           '恍然 \n', '会 \n', '豁然 \n', '活 \n', '伙同 \n', '或多或少 \n', '或许 \n', '基本 \n', '基本上 \n', '基于 \n', '极 \n', '极大 \n',
           '极度 \n', '极端 \n', '极力 \n', '极其 \n', '极为 \n', '急匆匆 \n', '即将 \n', '即刻 \n', '即是说 \n', '几度 \n', '几番 \n', '几乎 \n',
           '几经 \n', '既…又 \n', '继之 \n', '加上 \n', '加以 \n', '间或 \n', '简而言之 \n', '简言之 \n', '简直 \n', '见 \n', '将才 \n',
           '将近 \n', '将要 \n', '交口 \n', '较比 \n', '较为 \n', '接连不断 \n', '接下来 \n', '皆可 \n', '截然 \n', '截至 \n', '藉以 \n',
           '借此 \n', '借以 \n', '届时 \n', '仅 \n', '仅仅 \n', '谨 \n', '进来 \n', '进去 \n', '近 \n', '近几年来 \n', '近来 \n', '近年来 \n',
           '尽管如此 \n', '尽可能 \n', '尽快 \n', '尽量 \n', '尽然 \n', '尽如人意 \n', '尽心竭力 \n', '尽心尽力 \n', '尽早 \n', '精光 \n', '经常 \n',
           '竟 \n', '竟然 \n', '究竟 \n', '就此 \n', '就地 \n', '就算 \n', '居然 \n', '局外 \n', '举凡 \n', '据称 \n', '据此 \n', '据实 \n',
           '据说 \n', '据我所知 \n', '据悉 \n', '具体来说 \n', '决不 \n', '决非 \n', '绝 \n', '绝不 \n', '绝顶 \n', '绝对 \n', '绝非 \n', '均 \n',
           '喀 \n', '看 \n', '看来 \n', '看起来 \n', '看上去 \n', '看样子 \n', '可好 \n', '可能 \n', '恐怕 \n', '快 \n', '快要 \n', '来不及 \n',
           '来得及 \n', '来讲 \n', '来看 \n', '拦腰 \n', '牢牢 \n', '老 \n', '老大 \n', '老老实实 \n', '老是 \n', '累次 \n', '累年 \n', '理当 \n',
           '理该 \n', '理应 \n', '历 \n', '立 \n', '立地 \n', '立刻 \n', '立马 \n', '立时 \n', '联袂 \n', '连连 \n', '连日 \n', '连日来 \n',
           '连声 \n', '连袂 \n', '临到 \n', '另方面 \n', '另行 \n', '另一个 \n', '路经 \n', '屡 \n', '屡次 \n', '屡次三番 \n', '屡屡 \n',
           '缕缕 \n', '率尔 \n', '率然 \n', '略 \n', '略加 \n', '略微 \n', '略为 \n', '论说 \n', '马上 \n', '蛮 \n', '满 \n', '没 \n',
           '没有 \n', '每逢 \n', '每每 \n', '每时每刻 \n', '猛然 \n', '猛然间 \n', '莫 \n', '莫不 \n', '莫非 \n', '莫如 \n', '默默地 \n',
           '默然 \n', '呐 \n', '那末 \n', '奈 \n', '难道 \n', '难得 \n', '难怪 \n', '难说 \n', '内 \n', '年复一年 \n', '凝神 \n', '偶而 \n',
           '偶尔 \n', '怕 \n', '砰 \n', '碰巧 \n', '譬如 \n', '偏偏 \n', '乒 \n', '平素 \n', '颇 \n', '迫于 \n', '扑通 \n', '其后 \n',
           '其实 \n', '奇 \n', '齐 \n', '起初 \n', '起来 \n', '起首 \n', '起头 \n', '起先 \n', '岂 \n', '岂非 \n', '岂止 \n', '迄 \n',
           '恰逢 \n', '恰好 \n', '恰恰 \n', '恰巧 \n', '恰如 \n', '恰似 \n', '千 \n', '万 \n', '千万 \n', '千万千万 \n', '切 \n', '切不可 \n',
           '切莫 \n', '切切 \n', '切勿 \n', '窃 \n', '亲口 \n', '亲身 \n', '亲手 \n', '亲眼 \n', '亲自 \n', '顷 \n', '顷刻 \n', '顷刻间 \n',
           '顷刻之间 \n', '请勿 \n', '穷年累月 \n', '取道 \n', '去 \n', '权时 \n', '全都 \n', '全力 \n', '全年 \n', '全然 \n', '全身心 \n',
           '然 \n', '人人 \n', '仍 \n', '仍旧 \n', '仍然 \n', '日复一日 \n', '日见 \n', '日渐 \n', '日益 \n', '日臻 \n', '如常 \n', '如此等等 \n',
           '如次 \n', '如今 \n', '如期 \n', '如前所述 \n', '如上 \n', '如下 \n', '汝 \n', '三番两次 \n', '三番五次 \n', '三天两头 \n', '瑟瑟 \n',
           '沙沙 \n', '上 \n', '上来 \n', '上去 \n', '一. \n', '一一 \n', '一下 \n', '一个 \n', '一些 \n', '一何 \n', '一则通过 \n', '一天 \n',
           '一定 \n', '一时 \n', '一次 \n', '一片 \n', '一番 \n', '一直 \n', '一致 \n', '一起 \n', '一转眼 \n', '一边 \n', '一面 \n', '上升 \n',
           '上述 \n', '上面 \n', '下 \n', '下列 \n', '下去 \n', '下来 \n', '下面 \n', '不一 \n', '不久 \n', '不变 \n', '不可 \n', '不够 \n',
           '不尽 \n', '不尽然 \n', '不敢 \n', '不断 \n', '不若 \n', '不足 \n', '与其说 \n', '专门 \n', '且不说 \n', '且说 \n', '严格 \n',
           '严重 \n', '个别 \n', '中小 \n', '中间 \n', '丰富 \n', '为主 \n', '为什麽 \n', '为止 \n', '为此 \n', '主张 \n', '主要 \n', '举行 \n',
           '乃至于 \n', '之前 \n', '之后 \n', '之後 \n', '也就是说 \n', '也是 \n', '了解 \n', '争取 \n', '二来 \n', '云尔 \n', '些 \n', '亦 \n',
           '产生 \n', '人 \n', '人们 \n', '什麽 \n', '今 \n', '今后 \n', '今天 \n', '今年 \n', '今後 \n', '介于 \n', '从事 \n', '他是 \n',
           '他的 \n', '代替 \n', '以上 \n', '以下 \n', '以为 \n', '以前 \n', '以后 \n', '以外 \n', '以後 \n', '以故 \n', '以期 \n', '以来 \n',
           '任务 \n', '企图 \n', '伟大 \n', '似乎 \n', '但凡 \n', '何以 \n', '余外 \n', '你是 \n', '你的 \n', '使 \n', '使用 \n', '依据 \n',
           '依靠 \n', '便于 \n', '促进 \n', '保持 \n', '做到 \n', '傥然 \n', '儿 \n', '允许 \n', '元／吨 \n', '先不先 \n', '先后 \n', '先後 \n',
           '先生 \n', '全体 \n', '全部 \n', '全面 \n', '共同 \n', '具体 \n', '具有 \n', '兼之 \n', '再 \n', '再其次 \n', '再则 \n', '再有 \n',
           '再次 \n', '再者说 \n', '决定 \n', '准备 \n', '凡 \n', '凡是 \n', '出于 \n', '出现 \n', '分别 \n', '则甚 \n', '别处 \n', '别是 \n',
           '别管 \n', '前此 \n', '前进 \n', '前面 \n', '加入 \n', '加强 \n', '十分 \n', '即如 \n', '却 \n', '却不 \n', '原来 \n', '又及 \n',
           '及时 \n', '双方 \n', '反应 \n', '反映 \n', '取得 \n', '受到 \n', '变成 \n', '另悉 \n', '只 \n', '只当 \n', '只怕 \n', '只消 \n',
           '叫做 \n', '召开 \n', '各人 \n', '各地 \n', '各级 \n', '合理 \n', '同一 \n', '同样 \n', '后 \n', '后者 \n', '后面 \n', '向使 \n',
           '周围 \n', '呵呵 \n', '咧 \n', '唯有 \n', '啷当 \n', '喽 \n', '嗡 \n', '嘿嘿 \n', '因了 \n', '因着 \n', '在于 \n', '坚决 \n',
           '坚持 \n', '处在 \n', '处理 \n', '复杂 \n', '多么 \n', '多数 \n', '大力 \n', '大多数 \n', '大批 \n', '大量 \n', '失去 \n', '她是 \n',
           '她的 \n', '好 \n', '好的 \n', '好象 \n', '如同 \n', '如是 \n', '始而 \n', '存在 \n', '孰料 \n', '孰知 \n', '它们的 \n', '它是 \n',
           '它的 \n', '安全 \n', '完全 \n', '完成 \n', '实现 \n', '实际 \n', '宣布 \n', '容易 \n', '密切 \n', '对应 \n', '对待 \n', '对方 \n',
           '对比 \n', '小 \n', '少数 \n', '尔 \n', '尔尔 \n', '尤其 \n', '就是了 \n', '就要 \n', '属于 \n', '左右 \n', '巨大 \n', '巩固 \n',
           '已 \n', '已矣 \n', '已经 \n', '巴 \n', '巴巴 \n', '帮助 \n', '并不 \n', '并不是 \n', '广大 \n', '广泛 \n', '应当 \n', '应用 \n',
           '应该 \n', '庶乎 \n', '庶几 \n', '开展 \n', '引起 \n', '强烈 \n', '强调 \n', '归齐 \n', '当前 \n', '当地 \n', '当时 \n', '形成 \n',
           '彻底 \n', '彼时 \n', '往往 \n', '後来 \n', '後面 \n', '得了 \n', '得出 \n', '得到 \n', '心里 \n', '必然 \n', '必要 \n', '怎奈 \n',
           '怎麽 \n', '总是 \n', '总结 \n', '您们 \n', '您是 \n', '惟其 \n', '意思 \n', '愿意 \n', '成为 \n', '我是 \n', '我的 \n', '或则 \n',
           '或曰 \n', '战斗 \n', '所在 \n', '所幸 \n', '所有 \n', '所谓 \n', '扩大 \n', '掌握 \n', '接著 \n', '数/ \n', '整个 \n', '方便 \n',
           '方面 \n', '无 \n', '无法 \n', '既往 \n', '明显 \n', '明确 \n', '是不是 \n', '是以 \n', '是否 \n', '显然 \n', '显著 \n', '普通 \n',
           '普遍 \n', '曾 \n', '曾经 \n', '替代 \n', '最 \n', '最后 \n', '最大 \n', '最好 \n', '最後 \n', '最近 \n', '最高 \n', '有利 \n',
           '有力 \n', '有及 \n', '有所 \n', '有效 \n', '有时 \n', '有点 \n', '有的是 \n', '有着 \n', '有著 \n', '末##末 \n', '本地 \n',
           '来自 \n', '来说 \n', '构成 \n', '某某 \n', '根本 \n', '欢迎 \n', '欤 \n', '正值 \n', '正在 \n', '正巧 \n', '正常 \n', '正是 \n',
           '此地 \n', '此处 \n', '此时 \n', '此次 \n', '每个 \n', '每天 \n', '每年 \n', '比及 \n', '比较 \n', '没奈何 \n', '注意 \n', '深入 \n',
           '清楚 \n', '满足 \n', '然後 \n', '特别是 \n', '特殊 \n', '特点 \n', '犹且 \n', '犹自 \n', '现代 \n', '现在 \n', '甚且 \n', '甚或 \n',
           '甚至于 \n', '用来 \n', '由是 \n', '由此 \n', '目前 \n', '直到 \n', '直接 \n', '相似 \n', '相信 \n', '相反 \n', '相同 \n', '相对 \n',
           '相应 \n', '相当 \n', '相等 \n', '看出 \n', '看到 \n', '看看 \n', '看见 \n', '真是 \n', '真正 \n', '眨眼 \n', '矣乎 \n', '矣哉 \n',
           '知道 \n', '确定 \n', '种 \n', '积极 \n', '移动 \n', '突出 \n', '突然 \n', '立即 \n', '竟而 \n', '第二 \n', '类如 \n', '练习 \n',
           '组成 \n', '结合 \n', '继后 \n', '继续 \n', '维持 \n', '考虑 \n', '联系 \n', '能否 \n', '能够 \n', '自后 \n', '自打 \n', '至今 \n',
           '至若 \n', '致 \n', '般的 \n', '良好 \n', '若夫 \n', '若果 \n', '范围 \n', '莫不然 \n', '获得 \n', '行为 \n', '行动 \n', '表明 \n',
           '表示 \n', '要求 \n', '规定 \n', '觉得 \n', '譬喻 \n', '认为 \n', '认真 \n', '认识 \n', '许多 \n', '设或 \n', '诚如 \n', '说明 \n',
           '说来 \n', '说说 \n', '诸 \n', '诸如 \n', '谁人 \n', '谁料 \n', '贼死 \n', '赖以 \n', '距 \n', '转动 \n', '转变 \n', '转贴 \n',
           '达到 \n', '迅速 \n', '过去 \n', '过来 \n', '运用 \n', '还要 \n', '这一来 \n', '这次 \n', '这点 \n', '这种 \n', '这般 \n', '这麽 \n',
           '进入 \n', '进步 \n', '进行 \n', '适应 \n', '适当 \n', '适用 \n', '逐步 \n', '逐渐 \n', '通常 \n', '造成 \n', '遇到 \n', '遭到 \n',
           '遵循 \n', '避免 \n', '那般 \n', '那麽 \n', '部分 \n', '采取 \n', '里面 \n', '重大 \n', '重新 \n', '重要 \n', '针对 \n', '问题 \n',
           '防止 \n', '附近 \n', '限制 \n', '随后 \n', '随时 \n', '随著 \n', '难道说 \n', '集中 \n', '需要 \n', '非特 \n', '非独 \n', '高兴 \n',
           '若果\n', 'able\n', 'about\n', 'above\n', 'according\n', 'accordingly\n', 'across\n', 'actually\n', 'after\n',
           'afterwards\n', 'again\n', 'against\n', "ain't\n", 'all\n', 'allow\n', 'allows\n', 'almost\n', 'alone\n',
           'along\n', 'already\n', 'also\n', 'although\n', 'always\n', 'am\n', 'among\n', 'amongst\n', 'an\n', 'and\n',
           'another\n', 'any\n', 'anybody\n', 'anyhow\n', 'anyone\n', 'anything\n', 'anyway\n', 'anyways\n',
           'anywhere\n', 'apart\n', 'appear\n', 'appreciate\n', 'appropriate\n', 'are\n', "aren't\n", 'around\n',
           'as\n', "a's\n", 'aside\n', 'ask\n', 'asking\n', 'associated\n', 'at\n', 'available\n', 'away\n',
           'awfully\n', 'be\n', 'became\n', 'because\n', 'become\n', 'becomes\n', 'becoming\n', 'been\n', 'before\n',
           'beforehand\n', 'behind\n', 'being\n', 'believe\n', 'below\n', 'beside\n', 'besides\n', 'best\n', 'better\n',
           'between\n', 'beyond\n', 'both\n', 'brief\n', 'but\n', 'by\n', 'came\n', 'can\n', 'cannot\n', 'cant\n',
           "can't\n", 'cause\n', 'causes\n', 'certain\n', 'certainly\n', 'changes\n', 'clearly\n', "c'mon\n", 'co\n',
           'com\n', 'come\n', 'comes\n', 'concerning\n', 'consequently\n', 'consider\n', 'considering\n', 'contain\n',
           'containing\n', 'contains\n', 'corresponding\n', 'could\n', "couldn't\n", 'course\n', "c's\n", 'currently\n',
           'definitely\n', 'described\n', 'despite\n', 'did\n', "didn't\n", 'different\n', 'do\n', 'does\n',
           "doesn't\n", 'doing\n', 'done\n', "don't\n", 'down\n', 'downwards\n', 'during\n', 'each\n', 'edu\n', 'eg\n',
           'eight\n', 'either\n', 'else\n', 'elsewhere\n', 'enough\n', 'entirely\n', 'especially\n', 'et\n', 'etc\n',
           'even\n', 'ever\n', 'every\n', 'everybody\n', 'everyone\n', 'everything\n', 'everywhere\n', 'ex\n',
           'exactly\n', 'example\n', 'except\n', 'far\n', 'few\n', 'fifth\n', 'first\n', 'five\n', 'followed\n',
           'following\n', 'follows\n', 'for\n', 'former\n', 'formerly\n', 'forth\n', 'four\n', 'from\n', 'further\n',
           'furthermore\n', 'get\n', 'gets\n', 'getting\n', 'given\n', 'gives\n', 'go\n', 'goes\n', 'going\n', 'gone\n',
           'got\n', 'gotten\n', 'greetings\n', 'had\n', "hadn't\n", 'happens\n', 'hardly\n', 'has\n', "hasn't\n",
           'have\n', "haven't\n", 'having\n', 'he\n', 'hello\n', 'help\n', 'hence\n', 'her\n', 'here\n', 'hereafter\n',
           'hereby\n', 'herein\n', "here's\n", 'hereupon\n', 'hers\n', 'herself\n', "he's\n", 'hi\n', 'him\n',
           'himself\n', 'his\n', 'hither\n', 'hopefully\n', 'how\n', 'howbeit\n', 'however\n', "i'd\n", 'ie\n', 'if\n',
           'ignored\n', "i'll\n", "i'm\n", 'immediate\n', 'in\n', 'inasmuch\n', 'inc\n', 'indeed\n', 'indicate\n',
           'indicated\n', 'indicates\n', 'inner\n', 'insofar\n', 'instead\n', 'into\n', 'inward\n', 'is\n', "isn't\n",
           'it\n', "it'd\n", "it'll\n", 'its\n', "it's\n", 'itself\n', "i've\n", 'just\n', 'keep\n', 'keeps\n',
           'kept\n', 'know\n', 'known\n', 'knows\n', 'last\n', 'lately\n', 'later\n', 'latter\n', 'latterly\n',
           'least\n', 'less\n', 'lest\n', 'let\n', "let's\n", 'like\n', 'liked\n', 'likely\n', 'little\n', 'look\n',
           'looking\n', 'looks\n', 'ltd\n', 'mainly\n', 'many\n', 'may\n', 'maybe\n', 'me\n', 'mean\n', 'meanwhile\n',
           'merely\n', 'might\n', 'more\n', 'moreover\n', 'most\n', 'mostly\n', 'much\n', 'must\n', 'my\n', 'myself\n',
           'name\n', 'namely\n', 'nd\n', 'near\n', 'nearly\n', 'necessary\n', 'need\n', 'needs\n', 'neither\n',
           'never\n', 'nevertheless\n', 'new\n', 'next\n', 'nine\n', 'no\n', 'nobody\n', 'non\n', 'none\n', 'noone\n',
           'nor\n', 'normally\n', 'not\n', 'nothing\n', 'novel\n', 'now\n', 'nowhere\n', 'obviously\n', 'of\n', 'off\n',
           'often\n', 'oh\n', 'ok\n', 'okay\n', 'old\n', 'on\n', 'once\n', 'one\n', 'ones\n', 'only\n', 'onto\n',
           'or\n', 'other\n', 'others\n', 'otherwise\n', 'ought\n', 'our\n', 'ours\n', 'ourselves\n', 'out\n',
           'outside\n', 'over\n', 'overall\n', 'own\n', 'particular\n', 'particularly\n', 'per\n', 'perhaps\n',
           'placed\n', 'please\n', 'plus\n', 'possible\n', 'presumably\n', 'probably\n', 'provides\n', 'que\n',
           'quite\n', 'qv\n', 'rather\n', 'rd\n', 're\n', 'really\n', 'reasonably\n', 'regarding\n', 'regardless\n',
           'regards\n', 'relatively\n', 'respectively\n', 'right\n', 'said\n', 'same\n', 'saw\n', 'say\n', 'saying\n',
           'says\n', 'second\n', 'secondly\n', 'see\n', 'seeing\n', 'seem\n', 'seemed\n', 'seeming\n', 'seems\n',
           'seen\n', 'self\n', 'selves\n', 'sensible\n', 'sent\n', 'serious\n', 'seriously\n', 'seven\n', 'several\n',
           'shall\n', 'she\n', 'should\n', "shouldn't\n", 'since\n', 'six\n', 'so\n', 'some\n', 'somebody\n',
           'somehow\n', 'someone\n', 'something\n', 'sometime\n', 'sometimes\n', 'somewhat\n', 'somewhere\n', 'soon\n',
           'sorry\n', 'specified\n', 'specify\n', 'specifying\n', 'still\n', 'sub\n', 'such\n', 'sup\n', 'sure\n',
           'take\n', 'taken\n', 'tell\n', 'tends\n', 'th\n', 'than\n', 'thank\n', 'thanks\n', 'thanx\n', 'that\n',
           'thats\n', "that's\n", 'the\n', 'their\n', 'theirs\n', 'them\n', 'themselves\n', 'then\n', 'thence\n',
           'there\n', 'thereafter\n', 'thereby\n', 'therefore\n', 'therein\n', 'theres\n', "there's\n", 'thereupon\n',
           'these\n', 'they\n', "they'd\n", "they'll\n", "they're\n", "they've\n", 'think\n', 'third\n', 'this\n',
           'thorough\n', 'thoroughly\n', 'those\n', 'though\n', 'three\n', 'through\n', 'throughout\n', 'thru\n',
           'thus\n', 'to\n', 'together\n', 'too\n', 'took\n', 'toward\n', 'towards\n', 'tried\n', 'tries\n', 'truly\n',
           'try\n', 'trying\n', "t's\n", 'twice\n', 'two\n', 'un\n', 'under\n', 'unfortunately\n', 'unless\n',
           'unlikely\n', 'until\n', 'unto\n', 'up\n', 'upon\n', 'us\n', 'use\n', 'used\n', 'useful\n', 'uses\n',
           'using\n', 'usually\n', 'value\n', 'various\n', 'very\n', 'via\n', 'viz\n', 'vs\n', 'want\n', 'wants\n',
           'was\n', "wasn't\n", 'way\n', 'we\n', "we'd\n", 'welcome\n', 'well\n', "we'll\n", 'went\n', 'were\n',
           "we're\n", "weren't\n", "we've\n", 'what\n', 'whatever\n', "what's\n", 'when\n', 'whence\n', 'whenever\n',
           'where\n', 'whereafter\n', 'whereas\n', 'whereby\n', 'wherein\n', "where's\n", 'whereupon\n', 'wherever\n',
           'whether\n', 'which\n', 'while\n', 'whither\n', 'who\n', 'whoever\n', 'whole\n', 'whom\n', "who's\n",
           'whose\n', 'why\n', 'will\n', 'willing\n', 'wish\n', 'with\n', 'within\n', 'without\n', 'wonder\n',
           "won't\n", 'would\n', "wouldn't\n", 'yes\n', 'yet\n', 'you\n', "you'd\n", "you'll\n", 'your\n', "you're\n",
           'yours\n', 'yourself\n', 'yourselves\n', "you've\n", 'zero\n', 'zt\n', 'ZT\n', 'zz\n', 'ZZ\n', '一\n', '一下\n',
           '一些\n', '一切\n', '一则\n', '一天\n', '一定\n', '一方面\n', '一旦\n', '一时\n', '一来\n', '一样\n', '一次\n', '一片\n', '一直\n',
           '一致\n', '一般\n', '一起\n', '一边\n', '一面\n', '万一\n', '上下\n', '上升\n', '上去\n', '上来\n', '上述\n', '上面\n', '下列\n',
           '下去\n', '下来\n', '下面\n', '不一\n', '不久\n', '不仅\n', '不会\n', '不但\n', '不光\n', '不单\n', '不变\n', '不只\n', '不可\n',
           '不同\n', '不够\n', '不如\n', '不得\n', '不怕\n', '不惟\n', '不成\n', '不拘\n', '不敢\n', '不断\n', '不是\n', '不比\n', '不然\n',
           '不特\n', '不独\n', '不管\n', '不能\n', '不要\n', '不论\n', '不足\n', '不过\n', '不问\n', '与\n', '与其\n', '与否\n', '与此同时\n',
           '专门\n', '且\n', '两者\n', '严格\n', '严重\n', '个\n', '个人\n', '个别\n', '中小\n', '中间\n', '丰富\n', '临\n', '为\n', '为主\n',
           '为了\n', '为什么\n', '为什麽\n', '为何\n', '为着\n', '主张\n', '主要\n', '举行\n', '乃\n', '乃至\n', '么\n', '之\n', '之一\n',
           '之前\n', '之后\n', '之後\n', '之所以\n', '之类\n', '乌乎\n', '乎\n', '乘\n', '也\n', '也好\n', '也是\n', '也罢\n', '了\n', '了解\n',
           '争取\n', '于\n', '于是\n', '于是乎\n', '云云\n', '互相\n', '产生\n', '人们\n', '人家\n', '什么\n', '什么样\n', '什麽\n', '今后\n',
           '今天\n', '今年\n', '今後\n', '仍然\n', '从\n', '从事\n', '从而\n', '他\n', '他人\n', '他们\n', '他的\n', '代替\n', '以\n', '以上\n',
           '以下\n', '以为\n', '以便\n', '以免\n', '以前\n', '以及\n', '以后\n', '以外\n', '以後\n', '以来\n', '以至\n', '以至于\n', '以致\n',
           '们\n', '任\n', '任何\n', '任凭\n', '任务\n', '企图\n', '伟大\n', '似乎\n', '似的\n', '但\n', '但是\n', '何\n', '何况\n', '何处\n',
           '何时\n', '作为\n', '你\n', '你们\n', '你的\n', '使得\n', '使用\n', '例如\n', '依\n', '依照\n', '依靠\n', '促进\n', '保持\n', '俺\n',
           '俺们\n', '倘\n', '倘使\n', '倘或\n', '倘然\n', '倘若\n', '假使\n', '假如\n', '假若\n', '做到\n', '像\n', '允许\n', '充分\n', '先后\n',
           '先後\n', '先生\n', '全部\n', '全面\n', '兮\n', '共同\n', '关于\n', '其\n', '其一\n', '其中\n', '其二\n', '其他\n', '其余\n', '其它\n',
           '其实\n', '其次\n', '具体\n', '具体地说\n', '具体说来\n', '具有\n', '再者\n', '再说\n', '冒\n', '冲\n', '决定\n', '况且\n', '准备\n',
           '几\n', '几乎\n', '几时\n', '凭\n', '凭借\n', '出去\n', '出来\n', '出现\n', '分别\n', '则\n', '别\n', '别的\n', '别说\n', '到\n',
           '前后\n', '前者\n', '前进\n', '前面\n', '加之\n', '加以\n', '加入\n', '加强\n', '十分\n', '即\n', '即令\n', '即使\n', '即便\n',
           '即或\n', '即若\n', '却不\n', '原来\n', '又\n', '及\n', '及其\n', '及时\n', '及至\n', '双方\n', '反之\n', '反应\n', '反映\n',
           '反过来\n', '反过来说\n', '取得\n', '受到\n', '变成\n', '另\n', '另一方面\n', '另外\n', '只是\n', '只有\n', '只要\n', '只限\n', '叫\n',
           '叫做\n', '召开\n', '叮咚\n', '可\n', '可以\n', '可是\n', '可能\n', '可见\n', '各\n', '各个\n', '各人\n', '各位\n', '各地\n', '各种\n',
           '各级\n', '各自\n', '合理\n', '同\n', '同一\n', '同时\n', '同样\n', '后来\n', '后面\n', '向\n', '向着\n', '吓\n', '吗\n', '否则\n',
           '吧\n', '吱\n', '呀\n', '呃\n', '呕\n', '呗\n', '呜\n', '呜呼\n', '呢\n', '周围\n', '呵\n', '呸\n', '呼哧\n', '咋\n', '和\n',
           '咚\n', '咦\n', '咱\n', '咱们\n', '咳\n', '哇\n', '哈\n', '哈哈\n', '哉\n', '哎\n', '哎呀\n', '哎哟\n', '哗\n', '哟\n', '哦\n',
           '哩\n', '哪\n', '哪个\n', '哪些\n', '哪儿\n', '哪天\n', '哪年\n', '哪怕\n', '哪样\n', '哪边\n', '哪里\n', '哼\n', '哼唷\n', '啊\n',
           '啐\n', '啥\n', '啦\n', '啪达\n', '喂\n', '喏\n', '喔唷\n', '嗡嗡\n', '嗬\n', '嗯\n', '嗳\n', '嘎\n', '嘎登\n', '嘘\n', '嘛\n',
           '嘻\n', '嘿\n', '因\n', '因为\n', '因此\n', '因而\n', '固然\n', '在\n', '在下\n', '地\n', '坚决\n', '坚持\n', '基本\n', '处理\n',
           '复杂\n', '多\n', '多少\n', '多数\n', '多次\n', '大力\n', '大多数\n', '大大\n', '大家\n', '大批\n', '大约\n', '大量\n', '失去\n',
           '她\n', '她们\n', '她的\n', '好的\n', '好象\n', '如\n', '如上所述\n', '如下\n', '如何\n', '如其\n', '如果\n', '如此\n', '如若\n',
           '存在\n', '宁\n', '宁可\n', '宁愿\n', '宁肯\n', '它\n', '它们\n', '它们的\n', '它的\n', '安全\n', '完全\n', '完成\n', '实现\n',
           '实际\n', '宣布\n', '容易\n', '密切\n', '对\n', '对于\n', '对应\n', '将\n', '少数\n', '尔后\n', '尚且\n', '尤其\n', '就\n', '就是\n',
           '就是说\n', '尽\n', '尽管\n', '属于\n', '岂但\n', '左右\n', '巨大\n', '巩固\n', '己\n', '已经\n', '帮助\n', '常常\n', '并\n', '并不\n',
           '并不是\n', '并且\n', '并没有\n', '广大\n', '广泛\n', '应当\n', '应用\n', '应该\n', '开外\n', '开始\n', '开展\n', '引起\n', '强烈\n',
           '强调\n', '归\n', '当\n', '当前\n', '当时\n', '当然\n', '当着\n', '形成\n', '彻底\n', '彼\n', '彼此\n', '往\n', '往往\n', '待\n',
           '後来\n', '後面\n', '得\n', '得出\n', '得到\n', '心里\n', '必然\n', '必要\n', '必须\n', '怎\n', '怎么\n', '怎么办\n', '怎么样\n',
           '怎样\n', '怎麽\n', '总之\n', '总是\n', '总的来看\n', '总的来说\n', '总的说来\n', '总结\n', '总而言之\n', '恰恰相反\n', '您\n', '愿意\n',
           '慢说\n', '成为\n', '我\n', '我们\n', '我的\n', '或\n', '或是\n', '或者\n', '战斗\n', '所\n', '所以\n', '所有\n', '所谓\n', '打\n',
           '扩大\n', '把\n', '抑或\n', '拿\n', '按\n', '按照\n', '换句话说\n', '换言之\n', '据\n', '掌握\n', '接着\n', '接著\n', '故\n', '故此\n',
           '整个\n', '方便\n', '方面\n', '旁人\n', '无宁\n', '无法\n', '无论\n', '既\n', '既是\n', '既然\n', '时候\n', '明显\n', '明确\n', '是\n',
           '是否\n', '是的\n', '显然\n', '显著\n', '普通\n', '普遍\n', '更加\n', '曾经\n', '替\n', '最后\n', '最大\n', '最好\n', '最後\n',
           '最近\n', '最高\n', '有\n', '有些\n', '有关\n', '有利\n', '有力\n', '有所\n', '有效\n', '有时\n', '有点\n', '有的\n', '有着\n',
           '有著\n', '望\n', '朝\n', '朝着\n', '本\n', '本着\n', '来\n', '来着\n', '极了\n', '构成\n', '果然\n', '果真\n', '某\n', '某个\n',
           '某些\n', '根据\n', '根本\n', '欢迎\n', '正在\n', '正如\n', '正常\n', '此\n', '此外\n', '此时\n', '此间\n', '毋宁\n', '每\n', '每个\n',
           '每天\n', '每年\n', '每当\n', '比\n', '比如\n', '比方\n', '比较\n', '毫不\n', '没有\n', '沿\n', '沿着\n', '注意\n', '深入\n', '清楚\n',
           '满足\n', '漫说\n', '焉\n', '然则\n', '然后\n', '然後\n', '然而\n', '照\n', '照着\n', '特别是\n', '特殊\n', '特点\n', '现代\n',
           '现在\n', '甚么\n', '甚而\n', '甚至\n', '用\n', '由\n', '由于\n', '由此可见\n', '的\n', '的话\n', '目前\n', '直到\n', '直接\n',
           '相似\n', '相信\n', '相反\n', '相同\n', '相对\n', '相对而言\n', '相应\n', '相当\n', '相等\n', '省得\n', '看出\n', '看到\n', '看来\n',
           '看看\n', '看见\n', '真是\n', '真正\n', '着\n', '着呢\n', '矣\n', '知道\n', '确定\n', '离\n', '积极\n', '移动\n', '突出\n', '突然\n',
           '立即\n', '第\n', '等\n', '等等\n', '管\n', '紧接着\n', '纵\n', '纵令\n', '纵使\n', '纵然\n', '练习\n', '组成\n', '经\n', '经常\n',
           '经过\n', '结合\n', '结果\n', '给\n', '绝对\n', '继续\n', '继而\n', '维持\n', '综上所述\n', '罢了\n', '考虑\n', '者\n', '而\n',
           '而且\n', '而况\n', '而外\n', '而已\n', '而是\n', '而言\n', '联系\n', '能\n', '能否\n', '能够\n', '腾\n', '自\n', '自个儿\n', '自从\n',
           '自各儿\n', '自家\n', '自己\n', '自身\n', '至\n', '至于\n', '良好\n', '若\n', '若是\n', '若非\n', '范围\n', '莫若\n', '获得\n', '虽\n',
           '虽则\n', '虽然\n', '虽说\n', '行为\n', '行动\n', '表明\n', '表示\n', '被\n', '要\n', '要不\n', '要不是\n', '要不然\n', '要么\n',
           '要是\n', '要求\n', '规定\n', '觉得\n', '认为\n', '认真\n', '认识\n', '让\n', '许多\n', '论\n', '设使\n', '设若\n', '该\n', '说明\n',
           '诸位\n', '谁\n', '谁知\n', '赶\n', '起\n', '起来\n', '起见\n', '趁\n', '趁着\n', '越是\n', '跟\n', '转动\n', '转变\n', '转贴\n',
           '较\n', '较之\n', '边\n', '达到\n', '迅速\n', '过\n', '过去\n', '过来\n', '运用\n', '还是\n', '还有\n', '这\n', '这个\n', '这么\n',
           '这么些\n', '这么样\n', '这么点儿\n', '这些\n', '这会儿\n', '这儿\n', '这就是说\n', '这时\n', '这样\n', '这点\n', '这种\n', '这边\n',
           '这里\n', '这麽\n', '进入\n', '进步\n', '进而\n', '进行\n', '连\n', '连同\n', '适应\n', '适当\n', '适用\n', '逐步\n', '逐渐\n',
           '通常\n', '通过\n', '造成\n', '遇到\n', '遭到\n', '避免\n', '那\n', '那个\n', '那么\n', '那么些\n', '那么样\n', '那些\n', '那会儿\n',
           '那儿\n', '那时\n', '那样\n', '那边\n', '那里\n', '那麽\n', '部分\n', '鄙人\n', '采取\n', '里面\n', '重大\n', '重新\n', '重要\n',
           '鉴于\n', '问题\n', '防止\n', '阿\n', '附近\n', '限制\n', '除\n', '除了\n', '除此之外\n', '除非\n', '随\n', '随着\n', '随著\n',
           '集中\n', '需要\n', '非但\n', '非常\n', '非徒\n', '靠\n', '顺\n', '顺着\n', '首先\n', '高兴\n', '是不是\n', '说说\n', '¥\n', '0\n',
           '1\n', '2\n', '3\n', '4\n', '5\n', '6\n', '7\n', '8\n', '9\n', '？\n', '_\n', '“\n', '”\n', '，\n', '。\n',
           '一何\n', '一个\n', '转眼\n', '上\n', '上到下\n', '下\n', '不\n', '更\n', '不妨\n', '尽尽\n', '不尽然\n', '不)\n', '不拘束\n',
           '料到\n', '不独有\n', '与其说\n', '否\n', '不说\n', '为止\n', '为此\n', '类\n', '乌合乎\n', '都好\n', '说不\n', '二来\n', '云尔\n',
           '点\n', '亦\n', '人\n', '什么？\n', '什么样？\n', '今\n', '介于\n', '仍\n', '从此\n', '以期\n', '致\n', '任其任\n', '凡人\n', '何地\n',
           '更何况\n', '余外\n', '使\n', '依据\n', '便于\n', '说\n', '借用\n', '假\n', '不合时\n', '儿\n', '先不先\n', '光是\n', '全体\n',
           '兮兮\n', '是一\n', '二\n', '具体说\n', '兼而有\n', '内\n', '再\n', '次是\n', '再有\n', '说到\n', '出于\n', '别人\n', '地处\n',
           '别是\n', '管它\n', '更上\n', '加\n', '却\n', '去\n', '反而\n', '另悉\n', '只\n', '只当\n', '只怕\n', '只消\n', '限\n', '都\n',
           '后\n', '后者\n', '向使\n', '吗？\n', '吱吱声\n', '呜呜\n', '呵呵\n', '咧\n', '哪怕是\n', '哪里？\n', '唯有\n', '口水\n', '啥？\n',
           '啪啪声\n', '啷\n', '唷\n', '喽\n', '嗡嗡声\n', '嘿嘿\n', '在于\n', '基于\n', '处在\n', '多么\n', '大\n', '好\n', '如上\n', '如它\n',
           '如同\n', '如如\n', '起始\n', '出料\n', '出人知\n', '对待\n', '对方\n', '对比\n', '会\n', '小\n', '尔\n', '尚\n', '就算\n', '就要\n',
           '尽管如此\n', '已\n', '已矣\n', '巴\n', '巴巴\n', '并非\n', '庶\n', '庶子\n', '开着\n', '归齐\n', '当地\n', '时\n', '很\n', '怎么了\n',
           '怎么办？\n', '怎了\n', '总的\n', '惟有\n', '慢点\n', '或说\n', '截至\n', '所在\n', '幸幸\n', '才\n', '才能\n', '打从\n', '拿下\n',
           '和此\n', '旁白\n', '无\n', '往来\n', '曾\n', '替代\n', '最\n', '本人\n', '本地\n', '本身\n', '来自\n', '果子\n', '某某\n', '欤\n',
           '正值\n', '巧合\n', '正是\n', '此处\n', '斯\n', '比和\n', '没可以\n', '漫无度\n', '然\n', '犹你\n', '犹自\n', '甚\n', '用来\n',
           '由此\n', '的确\n', '省下\n', '看\n', '眨眼\n', '竟\n', '等到\n', '简言之\n', '纵向\n', '继\n', '况况\n', '腾腾\n', '自后\n', '家\n',
           '自打\n', '至今\n', '至若\n', '般的\n', '若夫\n', '，没有\n', '莫，不然\n', '莫拉\n', '莫罗\n', '喻\n', '，如\n', '设\n', '设或\n',
           '诚布\n', '诚然\n', '诸\n', '诸如\n', '谁会料到\n', '贼死\n', '赖以\n', '趁机\n', '距\n', '还\n', '还要\n', '样子\n', '这么小\n',
           '时不时\n', '般\n', '遵循\n', '遵从\n', '样\n', '那会\n', '鄙\n', '针对\n', '除外\n', '随从\n', '随后\n', '随时\n', '非特\n',
           '非独有\n', '！\n', '：\n', '；\n', '---\n', '”），\n', '）÷（1-\n', '”，\n', '）、\n', '=（\n', '→\n', '°C\n', '&\n',
           '*\n', '一一\n', '~~~~\n', '’\n', '『\n', '。一\n', '。/\n', '--\n', '=′′\n', '【\n', '[*]\n', '}>\n', '[5]]\n',
           '[1D]\n', 'c]\n', 'ng\n', '//\n', '】\n', '[2e]\n', '[2克]\n', '={\n', '}\n', '，也\n', '‘\n', 'A\n', '[16]\n',
           '[2B]\n', '[1a]\n', '[4a]\n', '[13]\n', '[3小时]\n', '3]\n', '1.\n', '[2b]\n', '×××\n', '[18]\n', '0：2\n',
           '=[\n', '[5b]\n', '[2c]\n', '[4b]\n', '[23]\n', '[3a]\n', '[4c]\n', '[15]\n', '[17]\n', '[1克]\n', '?[\n',
           '[19]\n', '[14]\n', '[1c]\n', '[2f]\n', '[28]\n', '[21]\n', '[1C]\n', '[3c]\n', '[3克]\n', '[25]\n', '[22]\n',
           '一、\n', '[1小时]\n', '。数\n', '[]\n', '[1B]\n', '数/\n', '[1i]\n', '[3e]\n', '[11]\n', '[4d]\n', '[4e]\n',
           '[3b]\n', '[5a]\n', '[1A]\n', '[27]\n', '[1d]\n', '[2j]\n', '][\n', '://\n', '′?\n', '[24\n', '[5e]\n',
           '12%\n', 'b]\n', '...\n', '...................\n',
           '...................................................................3\n', 'ZXFITL\n', '[3F]\n', '[1o]\n',
           "]?'=[\n", '?φ∈\n', '′|\n', '{-\n', '2c\n', '[31]\n', 'R.L.\n', '[1E]\n', '?\n', '-[*]-\n', '↑\n', '。日\n',
           '[2d]\n', '[2\n', '[12]\n', '[2a]\n', 'f]\n', '[10]\n', 'a]\n', '[1e]\n', '[2小时]\n', '[26]\n', '[3d]\n',
           '[210]\n', 'e]\n', '〉\n', '元/吨\n', '2.3%\n', '5:0\n', '[1]\n', '[2]\n', '[3]\n', '[4]\n', '[5]\n', '[6]\n',
           '[7]\n', '[8]\n', '[9]\n', '......\n', '——\n', '·\n', '──\n', '—\n', '<\n', '>\n', '（\n', '）\n', '〔\n',
           ']\n', '+\n', '～\n', '×\n', '/\n', '10\n', '三\n', 'В\n', '#\n', '@\n', 'γ\n', 'μ\n', 'φ\n', 'φ。\n', 'Δ\n',
           '■\n', '▲\n', '潜艇三明治\n', '经验\n', '晚餐\n', '莱克斯\n', '%\n', '+?\n', '++\n', '-β\n', '<±\n', '<Δ\n', '<λ\n',
           '<φ\n', '<<\n', '=\n', '=☆\n', '=-\n', '>λ\n', '～±\n', '～+\n', '[5f]\n', '[5d]\n', '[2i]\n', '≈\n', '[2G]\n',
           '[1f]\n', '李\n', '（八）\n', '[-\n', '[310]\n', '第二\n', '一番\n', '种\n', '也就是说\n', '末##末\n', '北京市\n', '北京市\n',
           '东城区\n', '西城区\n', '崇文区\n', '宣武区\n', '朝阳区\n', '丰台区\n', '石景山区\n', '海淀区\n', '门头沟区\n', '房山区\n', '通州区\n', '顺义区\n',
           '昌平区\n', '大兴区\n', '怀柔区\n', '平谷区\n', '密云区\n', '延庆区\n', '天津市\n', '天津市\n', '和平区\n', '河东区\n', '河西区\n', '南开区\n',
           '河北区\n', '红桥区\n', '塘沽区\n', '汉沽区\n', '大港区\n', '东丽区\n', '西青区\n', '津南区\n', '北辰区\n', '武清区\n', '宝坻区\n', '宁河区\n',
           '静海区\n', '蓟州区\n', '河北省\n', '石家庄市\n', '市辖区\n', '长安区\n', '桥东区\n', '桥西区\n', '新华区\n', '井陉矿区\n', '裕华区\n', '井陉县\n',
           '正定县\n', '栾城县\n', '行唐县\n', '灵寿县\n', '高邑县\n', '深泽县\n', '赞皇县\n', '无极县\n', '平山县\n', '元氏县\n', '赵县\n', '辛集市\n',
           '藁城市\n', '晋州市\n', '新乐市\n', '鹿泉市\n', '唐山市\n', '市辖区\n', '路南区\n', '路北区\n', '古冶区\n', '开平区\n', '丰南区\n', '丰润区\n',
           '滦县\n', '滦南县\n', '乐亭县\n', '迁西县\n', '玉田县\n', '唐海县\n', '遵化市\n', '迁安市\n', '秦皇岛市\n', '市辖区\n', '海港区\n', '山海关区\n',
           '北戴河区\n', '青龙县\n', '昌黎县\n', '抚宁县\n', '卢龙县\n', '邯郸市\n', '市辖区\n', '邯山区\n', '丛台区\n', '复兴区\n', '峰峰矿区\n', '邯郸县\n',
           '临漳县\n', '成安县\n', '大名县\n', '涉县\n', '磁县\n', '肥乡县\n', '永年县\n', '邱县\n', '鸡泽县\n', '广平县\n', '馆陶县\n', '魏县\n',
           '曲周县\n', '武安市\n', '邢台市\n', '市辖区\n', '桥东区\n', '桥西区\n', '邢台县\n', '临城县\n', '内邱县\n', '柏乡县\n', '隆尧县\n', '任县\n',
           '南和县\n', '宁晋县\n', '巨鹿县\n', '新河县\n', '广宗县\n', '平乡县\n', '威县\n', '清河县\n', '临西县\n', '南宫市\n', '沙河市\n', '保定市\n',
           '市辖区\n', '新市区\n', '北市区\n', '南市区\n', '满城区\n', '清苑区\n', '涞水县\n', '阜平县\n', '徐水区\n', '定兴县\n', '唐县\n', '高阳县\n',
           '容城县\n', '涞源县\n', '望都县\n', '安新县\n', '易县\n', '曲阳县\n', '蠡县\n', '顺平县\n', '博野县\n', '雄县\n', '涿州市\n', '定州市\n',
           '安国市\n', '高碑店市\n', '张家口市\n', '市辖区\n', '桥东区\n', '桥西区\n', '宣化区\n', '下花园区\n', '宣化县\n', '张北县\n', '康保县\n',
           '沽源县\n', '尚义县\n', '蔚县\n', '阳原县\n', '怀安县\n', '万全县\n', '怀来县\n', '涿鹿县\n', '赤城县\n', '崇礼县\n', '承德市\n', '市辖区\n',
           '双桥区\n', '双滦区\n', '鹰手营子矿区\n', '承德县\n', '兴隆县\n', '平泉县\n', '滦平县\n', '隆化县\n', '丰宁县\n', '宽城县\n', '围场县\n',
           '沧州市\n', '市辖区\n', '新华区\n', '运河区\n', '沧县\n', '青县\n', '东光县\n', '海兴县\n', '盐山县\n', '肃宁县\n', '南皮县\n', '吴桥县\n',
           '献县\n', '孟村县\n', '泊头市\n', '任邱市\n', '黄骅市\n', '河间市\n', '廊坊市\n', '市辖区\n', '安次区\n', '广阳区\n', '固安县\n', '永清县\n',
           '香河县\n', '大城县\n', '文安县\n', '大厂县\n', '霸州市\n', '三河市\n', '衡水市\n', '市辖区\n', '桃城区\n', '枣强县\n', '武邑县\n', '武强县\n',
           '饶阳县\n', '安平县\n', '故城县\n', '景县\n', '阜城县\n', '冀州市\n', '深州市\n', '山西\n', '太原市\n', '市辖区\n', '小店区(人口含高新经济区)\n',
           '迎泽区\n', '杏花岭区\n', '尖草坪区\n', '万柏林区\n', '晋源区\n', '清徐县\n', '阳曲县\n', '娄烦县\n', '古交市\n', '大同市\n', '市辖区\n',
           '大同市城区\n', '矿区\n', '南郊区\n', '新荣区\n', '阳高县\n', '天镇县\n', '广灵县\n', '灵丘县\n', '浑源县\n', '左云县\n', '大同县\n', '阳泉市\n',
           '市辖区\n', '城区\n', '矿区\n', '郊区\n', '平定县\n', '盂县\n', '长治市\n', '市辖区\n', '长治市城区\n', '长治市郊区\n', '长治县\n', '襄垣县\n',
           '屯留县\n', '平顺县\n', '黎城县\n', '壶关县\n', '长子县\n', '武乡县\n', '沁县\n', '沁源县\n', '潞城市\n', '晋城市\n', '市辖区\n', '晋城市城区\n',
           '沁水县\n', '阳城县\n', '陵川县\n', '泽州县\n', '高平市\n', '朔州市\n', '市辖区\n', '朔城区\n', '平鲁区\n', '山阴县\n', '应县\n', '右玉县\n',
           '怀仁县\n', '晋中市\n', '市辖区\n', '榆次区\n', '榆社县\n', '左权县\n', '和顺县\n', '昔阳县\n', '寿阳县\n', '太谷县\n', '祁县\n', '平遥县\n',
           '灵石县\n', '介休市\n', '运城市\n', '市辖区\n', '盐湖区\n', '临猗县\n', '万荣县\n', '闻喜县\n', '稷山县\n', '新绛县\n', '绛县\n', '垣曲县\n',
           '夏县\n', '平陆县\n', '芮城县\n', '永济市\n', '河津市\n', '忻州市\n', '市辖区\n', '忻府区\n', '定襄县\n', '五台县\n', '代县\n', '繁峙县\n',
           '宁武县\n', '静乐县\n', '神池县\n', '五寨县\n', '岢岚县\n', '河曲县\n', '保德县\n', '偏关县\n', '原平市\n', '临汾市\n', '市辖区\n', '尧都区\n',
           '曲沃县\n', '翼城县\n', '襄汾县\n', '洪洞县\n', '古县\n', '安泽县\n', '浮山县\n', '吉县\n', '乡宁县\n', '大宁县\n', '隰县\n', '永和县\n',
           '蒲县\n', '汾西县\n', '侯马市\n', '霍州市\n', '吕梁市\n', '市辖区\n', '离石区\n', '文水县\n', '交城县\n', '兴县\n', '临县\n', '柳林县\n',
           '石楼县\n', '岚县\n', '方山县\n', '中阳县\n', '交口县\n', '孝义市\n', '汾阳市\n', '内蒙古\n', '呼和浩特市\n', '市辖区\n', '新城区\n', '回民区\n',
           '玉泉区\n', '赛罕区\n', '土左旗\n', '托克托县\n', '和林格尔县\n', '清水河县\n', '武川县\n', '包头市\n', '市辖区\n', '东河区\n', '昆都仑区\n',
           '青山区\n', '石拐区\n', '白云鄂博矿区\n', '九原区\n', '土默特右旗\n', '固阳县\n', '达茂联合旗\n', '乌海市\n', '乌海市辖区\n', '海勃湾区\n', '海南区\n',
           '乌达区\n', '赤峰市\n', '市辖区\n', '红山区\n', '元宝山区\n', '松山区\n', '阿鲁科尔沁旗\n', '巴林左旗\n', '巴林右旗\n', '林西县\n', '克什克腾旗\n',
           '翁牛特旗\n', '喀喇沁旗\n', '宁城县\n', '敖汉旗\n', '通辽市\n', '市辖区\n', '科尔沁区\n', '科尔沁左翼中旗\n', '科左后旗\n', '开鲁县\n', '库伦旗\n',
           '奈曼旗\n', '扎鲁特旗\n', '霍林郭勒市\n', '鄂尔多斯市\n', '东胜区\n', '达拉特旗\n', '准格尔旗\n', '鄂托克前旗\n', '鄂托克旗\n', '杭锦旗\n', '乌审旗\n',
           '伊金霍洛旗\n', '呼伦贝尔市\n', '市辖区\n', '海拉尔区\n', '阿荣旗\n', '莫力达瓦旗\n', '鄂伦春旗\n', '鄂温旗\n', '陈巴尔虎旗镇\n', '新巴尔虎左旗\n',
           '新巴尔虎右旗\n', '满洲里市\n', '牙克石市\n', '扎兰屯市\n', '额尔古纳市\n', '根河市\n', '巴彦淖尔市\n', '市辖区\n', '临河区\n', '五原县\n', '磴口县\n',
           '乌拉特前旗\n', '乌拉特中旗\n', '乌拉特后旗\n', '杭锦后旗\n', '乌兰察布市\n', '市辖区\n', '集宁区\n', '卓资县\n', '化德县\n', '商都县\n', '兴和县\n',
           '凉城县\n', '察哈尔右翼前旗\n', '察右中旗\n', '察哈尔右翼后旗\n', '四子王旗\n', '丰镇市\n', '兴安盟\n', '乌兰浩特市\n', '阿尔山市\n', '科右前旗\n',
           '科右中旗\n', '扎赉特旗\n', '突泉县\n', '锡林郭勒盟\n', '二连浩特市\n', '锡林浩特市\n', '阿巴嘎旗\n', '苏尼特左旗\n', '苏尼特右旗\n', '东乌珠穆沁旗\n',
           '西乌珠穆沁旗\n', '太仆寺旗\n', '镶黄旗\n', '正镶白旗\n', '正蓝旗\n', '多伦县\n', '阿拉善盟\n', '阿拉善左旗\n', '阿拉善右旗\n', '额济纳旗\n', '辽宁省\n',
           '沈阳市\n', '市辖区\n', '和平区\n', '沈河区\n', '大东区\n', '皇姑区\n', '铁西区\n', '苏家屯区\n', '东陵区\n', '新城子区\n', '于洪区\n', '辽中县\n',
           '康平县\n', '法库县\n', '新民市\n', '大连市\n', '市辖区\n', '中山区\n', '西岗区\n', '沙河口区\n', '甘井子区\n', '旅顺口区\n', '金州区\n',
           '长海县\n', '瓦房店市\n', '普兰店市\n', '庄河市\n', '鞍山市\n', '市辖区\n', '铁东区\n', '铁西区\n', '立山区\n', '千山区\n', '台安县\n', '岫岩县\n',
           '海城市\n', '抚顺市\n', '市辖区\n', '新抚区\n', '东洲区\n', '望花区\n', '顺城区\n', '抚顺县\n', '新宾县\n', '清原县\n', '本溪市\n', '市辖区\n',
           '平山区\n', '溪湖区\n', '明山区\n', '南芬区\n', '本溪县\n', '桓仁县\n', '丹东市\n', '市辖区\n', '元宝区\n', '振兴区\n', '振安区\n', '宽甸县\n',
           '东港市\n', '凤城市\n', '锦州市\n', '市辖区\n', '古塔区\n', '凌河区\n', '太和区\n', '黑山县\n', '义县\n', '凌海市\n', '北镇市\n', '营口市\n',
           '市辖区\n', '站前区\n', '西市区\n', '鲅鱼圈区\n', '老边区\n', '盖州市\n', '大石桥市\n', '阜新市\n', '市辖区\n', '海州区\n', '新邱区\n', '太平区\n',
           '清河门区\n', '细河区\n', '阜新县\n', '彰武县\n', '辽阳市\n', '市辖区\n', '白塔区\n', '文圣区\n', '宏伟区\n', '弓长岭区\n', '太子河区\n',
           '辽阳县\n', '灯塔市\n', '盘锦市\n', '市辖区\n', '双台子区\n', '兴隆台区\n', '大洼县\n', '盘山县\n', '铁岭市\n', '市辖区\n', '银州区\n', '清河区\n',
           '铁岭县\n', '西丰县\n', '昌图县\n', '调兵山市\n', '开原市\n', '朝阳市\n', '市辖区\n', '双塔区\n', '龙城区\n', '朝阳县\n', '建平县\n',
           '喀喇沁左翼县\n', '北票市\n', '凌源市\n', '葫芦岛市\n', '市辖区\n', '连山区\n', '龙港区\n', '南票区\n', '绥中县\n', '建昌县\n', '兴城市\n',
           '吉林省\n', '长春市\n', '长春市辖区\n', '南关区\n', '宽城区\n', '朝阳区\n', '二道区\n', '绿园区\n', '双阳区\n', '农安县\n', '九台市\n', '榆树市\n',
           '德惠市\n', '吉林市\n', '吉林市辖区\n', '昌邑区\n', '龙潭区\n', '船营区\n', '丰满区\n', '永吉县\n', '蛟河市\n', '桦甸市\n', '舒兰市\n', '磐石市\n',
           '四平市\n', '四平市辖区\n', '铁西区\n', '铁东区\n', '梨树县\n', '伊通县\n', '公主岭市\n', '双辽市\n', '辽源市\n', '辽源市辖区\n', '龙山区\n',
           '西安区\n', '东丰县\n', '东辽县\n', '通化市\n', '通化市辖区\n', '东昌区\n', '二道江区\n', '通化县\n', '辉南县\n', '柳河县\n', '梅河口市\n',
           '集安市\n', '白山市\n', '白山市辖区\n', '八道江区\n', '江源区\n', '抚松县\n', '靖宇县\n', '长白县\n', '临江市\n', '松原市\n', '松原市辖区\n',
           '宁江区\n', '前郭县\n', '长岭县\n', '乾安县\n', '扶余县\n', '白城市\n', '白城市辖区\n', '洮北区\n', '镇赉县\n', '通榆县\n', '洮南市\n', '大安市\n',
           '延边州\n', '延吉市\n', '图们市\n', '敦化市\n', '珲春市\n', '龙井市\n', '和龙市\n', '汪清县\n', '安图县\n', '黑龙江省\n', '哈尔滨市\n', '市辖区\n',
           '道里区\n', '南岗区\n', '道外区\n', '平房区\n', '松北区\n', '香坊区\n', '呼兰区\n', '阿城区\n', '依兰县\n', '方正县\n', '宾县\n', '巴彦县\n',
           '木兰县\n', '通河县\n', '延寿县\n', '双城市\n', '尚志市\n', '五常市\n', '齐齐哈尔市\n', '市辖区\n', '龙沙区\n', '建华区\n', '铁锋区\n',
           '昂昂溪区\n', '富拉尔基区\n', '碾子山区\n', '梅里斯达斡尔族区\n', '龙江县\n', '依安县\n', '泰来县\n', '甘南县\n', '富裕县\n', '克山县\n', '克东县\n',
           '拜泉县\n', '讷河市\n', '鸡西市\n', '市辖区\n', '鸡冠区\n', '恒山区\n', '滴道区\n', '梨树区\n', '城子河区\n', '麻山区\n', '鸡东县\n', '虎林市\n',
           '密山市\n', '鹤岗市\n', '市辖区\n', '向阳区\n', '工农区\n', '南山区\n', '兴安区\n', '东山区\n', '兴山区\n', '萝北县\n', '绥滨县\n', '双鸭山市\n',
           '市辖区\n', '尖山区\n', '岭东区\n', '四方台区\n', '宝山区\n', '集贤县\n', '友谊县\n', '宝清县\n', '饶河县\n', '大庆市\n', '市辖区\n', '萨尔图区\n',
           '龙凤区\n', '让胡路区\n', '红岗区\n', '大同区\n', '肇州县\n', '肇源县\n', '林甸县\n', '杜尔伯特县\n', '伊春市\n', '市辖区\n', '伊春区\n',
           '南岔区\n', '友好区\n', '西林区\n', '翠峦区\n', '新青区\n', '美溪区\n', '金山屯区\n', '五营区\n', '乌马河区\n', '汤旺河区\n', '带岭区\n',
           '乌伊岭区\n', '红星区\n', '上甘岭区\n', '嘉荫县\n', '铁力市\n', '佳木斯市\n', '市辖区\n', '向阳区\n', '前进区\n', '东风区\n', '郊区\n', '桦南县\n',
           '桦川县\n', '汤原县\n', '抚远县\n', '同江市\n', '富锦市\n', '七台河市\n', '市辖区\n', '新兴区\n', '桃山区\n', '茄子河区\n', '勃利县\n',
           '牡丹江市\n', '市辖区\n', '东安区\n', '阳明区\n', '爱民区\n', '西安区\n', '东宁县\n', '林口县\n', '绥芬河市\n', '海林市\n', '宁安市\n', '穆棱市\n',
           '黑河市\n', '市辖区\n', '爱辉区\n', '嫩江县\n', '逊克县\n', '孙吴县\n', '北安市\n', '五大连池市\n', '绥化市\n', '市辖区\n', '北林区\n', '望奎县\n',
           '兰西县\n', '青冈县\n', '庆安县\n', '明水县\n', '绥棱县\n', '安达市\n', '肇东市\n', '海伦市\n', '大兴安岭地区\n', '加格达奇区\n', '松岭区\n',
           '新林区\n', '呼中区\n', '呼玛县\n', '塔河县\n', '漠河县\n', '上海市\n', '上海市\n', '黄浦区\n', '卢湾区\n', '徐汇区\n', '长宁区\n', '静安区\n',
           '普陀区\n', '闸北区\n', '虹口区\n', '杨浦区\n', '闵行区\n', '宝山区\n', '嘉定区\n', '浦东新区\n', '金山区\n', '松江区\n', '青浦区\n', '南汇区\n',
           '奉贤区\n', '崇明区\n', '江苏省\n', '南京市\n', '市辖区\n', '玄武区\n', '白下区\n', '秦淮区\n', '建邺区\n', '鼓楼区\n', '下关区\n', '浦口区\n',
           '栖霞区\n', '雨花台区\n', '江宁区\n', '六合区\n', '溧水县\n', '高淳县\n', '无锡市\n', '市辖区\n', '崇安区\n', '南长区\n', '北塘区\n', '锡山区\n',
           '惠山区\n', '滨湖区\n', '江阴市\n', '宜兴市\n', '徐州市\n', '市辖区\n', '鼓楼区\n', '云龙区\n', '九里区\n', '贾汪区\n', '泉山区\n', '丰县\n',
           '沛县\n', '铜山县\n', '睢宁县\n', '新沂市\n', '邳州市\n', '常州市\n', '常州市区\n', '天宁区\n', '钟楼区\n', '戚墅堰区\n', '新北区\n', '武进区\n',
           '溧阳市\n', '金坛市\n', '苏州市\n', '市辖区\n', '沧浪区\n', '平江区\n', '金阊区\n', '苏州高新区虎丘区\n', '吴中区\n', '相城区\n', '常熟市\n',
           '张家港市\n', '昆山市\n', '吴江市\n', '太仓市\n', '南通市\n', '市辖区\n', '崇川区\n', '港闸区\n', '海安县\n', '如东\n', '启东市\n', '如皋市\n',
           '通州市\n', '海门市\n', '连云港市\n', '市辖区\n', '连云区\n', '新浦区\n', '海州区\n', '赣榆县\n', '东海县\n', '灌云县\n', '灌南县\n', '淮安市\n',
           '市辖区\n', '清河区\n', '楚州区\n', '淮阴区\n', '清浦区\n', '涟水县\n', '洪泽县\n', '盱眙县\n', '金湖县\n', '盐城市\n', '市辖区\n', '亭湖区\n',
           '盐都区\n', '响水县\n', '滨海县\n', '阜宁县\n', '射阳县\n', '建湖县\n', '东台市\n', '大丰市\n', '扬州市\n', '市辖区\n', '广陵区\n', '邗江区\n',
           '维扬区\n', '宝应县\n', '仪征市\n', '高邮市\n', '江都市\n', '镇江市\n', '市区\n', '京口区\n', '润州区\n', '丹徒区\n', '丹阳市\n', '扬中市\n',
           '句容市\n', '泰州市\n', '市辖区\n', '海陵区\n', '高港区\n', '兴化市\n', '靖江市\n', '泰兴市\n', '姜堰市\n', '宿迁市\n', '市辖区\n', '宿城区\n',
           '宿豫区\n', '沭阳县\n', '泗阳县\n', '泗洪县\n', '浙江省\n', '杭州市\n', '市辖区\n', '上城区\n', '下城区\n', '江干区\n', '拱墅区\n', '西湖区\n',
           '滨江区\n', '萧山区\n', '余杭区\n', '桐庐县\n', '淳安县\n', '建德市\n', '富阳市\n', '临安市\n', '宁波市\n', '市辖区\n', '海曙区\n', '江东区\n',
           '江北区\n', '北仑区\n', '镇海区\n', '鄞州区\n', '象山县\n', '宁海县\n', '余姚市\n', '慈溪市\n', '奉化市\n', '温州市\n', '市辖区\n', '鹿城区\n',
           '龙湾区\n', '瓯海区\n', '洞头县\n', '永嘉县\n', '平阳县\n', '苍南县\n', '文成县\n', '泰顺县\n', '瑞安市\n', '乐清市\n', '嘉兴市\n', '市辖区\n',
           '南湖区\n', '秀洲区\n', '嘉善县\n', '海盐县\n', '海宁市\n', '平湖市\n', '桐乡市\n', '湖州市\n', '市辖区\n', '吴兴区\n', '南浔区\n', '德清县\n',
           '长兴县\n', '安吉县\n', '绍兴市\n', '市辖区\n', '越城区\n', '绍兴县\n', '新昌县\n', '诸暨市\n', '上虞市\n', '嵊州市\n', '金华市\n', '市辖区\n',
           '婺城区\n', '金东区\n', '武义县\n', '浦江县\n', '磐安县\n', '兰溪市\n', '义乌市\n', '东阳市\n', '永康市\n', '衢州市\n', '市辖区\n', '柯城区\n',
           '衢江区\n', '常山县\n', '开化县\n', '龙游县\n', '江山市\n', '舟山市\n', '市辖区\n', '定海区\n', '普陀区\n', '岱山县\n', '嵊泗县\n', '台州市\n',
           '市辖区\n', '椒江区\n', '黄岩区\n', '路桥区\n', '玉环县\n', '三门县\n', '天台县\n', '仙居县\n', '温岭市\n', '临海市\n', '丽水市\n', '市辖区\n',
           '莲都区\n', '青田县\n', '缙云县\n', '遂昌县\n', '松阳县\n', '云和县\n', '庆元县\n', '景宁县\n', '龙泉市\n', '安徽省\n', '合肥市\n', '市辖区\n',
           '瑶海区\n', '庐阳区\n', '蜀山区\n', '包河区\n', '长丰县\n', '肥东县\n', '肥西县\n', '芜湖市\n', '市辖区\n', '镜湖区\n', '弋江区\n', '鸠江区\n',
           '三山区\n', '芜湖县\n', '繁昌县\n', '南陵县\n', '蚌埠市\n', '市辖区\n', '龙子湖区\n', '蚌山区\n', '禹会区\n', '淮上区\n', '怀远县\n', '五河县\n',
           '固镇县\n', '淮南市\n', '市辖区\n', '大通区\n', '田家庵区\n', '谢家集区\n', '八公山区\n', '潘集区\n', '凤台县\n', '马鞍山市\n', '市辖区\n',
           '金家庄区\n', '花山区\n', '雨山区\n', '当涂县\n', '淮北市\n', '市辖区\n', '杜集区\n', '相山区\n', '烈山区\n', '濉溪县\n', '铜陵市\n', '市辖区\n',
           '铜官山区\n', '狮子山区\n', '铜陵市郊区\n', '铜陵县\n', '安庆市\n', '市辖区\n', '迎江区\n', '大观区\n', '宜秀区\n', '怀宁县\n', '枞阳县\n',
           '潜山县\n', '太湖县\n', '宿松县\n', '望江县\n', '岳西县\n', '桐城市\n', '黄山市\n', '市辖区\n', '屯溪区\n', '黄山区\n', '徽州区\n', '歙县\n',
           '休宁县\n', '黟县\n', '祁门县\n', '滁州市\n', '市辖区\n', '琅琊区\n', '南谯区\n', '来安县\n', '全椒县\n', '定远县\n', '凤阳县\n', '天长市\n',
           '明光市\n', '阜阳市\n', '市辖区\n', '颍州区\n', '颍东区\n', '颍泉区\n', '临泉县\n', '太和县\n', '阜南县\n', '颍上县\n', '界首市\n', '宿州市\n',
           '市辖区\n', '墉桥区\n', '砀山县\n', '萧县\n', '灵璧县\n', '泗县\n', '巢湖市\n', '市辖区\n', '居巢区\n', '庐江县\n', '无为县\n', '含山县\n',
           '和县\n', '六安市\n', '市辖区\n', '金安区\n', '裕安区\n', '寿县\n', '霍邱县\n', '舒城县\n', '金寨县\n', '霍山县\n', '亳州市\n', '市辖区\n',
           '谯城区\n', '涡阳县\n', '蒙城县\n', '利辛县\n', '池州市\n', '市辖区\n', '贵池区\n', '东至县\n', '石台县\n', '青阳县\n', '宣城市\n', '市辖区\n',
           '宣州区\n', '郎溪县\n', '广德县\n', '泾县\n', '绩溪县\n', '旌德县\n', '宁国市\n', '福建省\n', '福州市\n', '市辖区\n', '鼓楼区\n', '台江区\n',
           '仓山区\n', '马尾区\n', '晋安区\n', '闽侯县\n', '连江县\n', '罗源县\n', '闽清县\n', '永泰县\n', '平潭县\n', '福清市\n', '长乐市\n', '厦门市\n',
           '市辖区\n', '思明区\n', '海沧区\n', '湖里区\n', '集美区\n', '同安区\n', '翔安区\n', '莆田市\n', '市辖区\n', '城厢区\n', '涵江区\n', '荔城区\n',
           '秀屿区\n', '仙游县\n', '三明市\n', '市辖区\n', '梅列区\n', '三元区\n', '明溪县\n', '清流县\n', '宁化县\n', '大田县\n', '尤溪县\n', '沙县\n',
           '将乐县\n', '泰宁县\n', '建宁县\n', '永安市\n', '泉州市\n', '市辖区\n', '鲤城区\n', '丰泽区\n', '洛江区\n', '泉港区\n', '惠安县\n', '安溪县\n',
           '永春县\n', '德化县\n', '金门县\n', '石狮市\n', '晋江市\n', '南安市\n', '漳州市\n', '市辖区\n', '芗城区\n', '龙文区\n', '云霄县\n', '漳浦县\n',
           '诏安县\n', '长泰县\n', '东山县\n', '南靖县\n', '平和县\n', '华安县\n', '龙海市\n', '南平市\n', '市辖区\n', '延平区\n', '顺昌县\n', '浦城县\n',
           '光泽县\n', '松溪县\n', '政和县\n', '邵武市\n', '武夷山市\n', '建瓯市\n', '建阳市\n', '龙岩市\n', '市辖区\n', '新罗区\n', '长汀县\n', '永定县\n',
           '上杭县\n', '武平县\n', '连城县\n', '漳平市\n', '宁德市\u3000\n', '市辖区\n', '蕉城区\n', '霞浦县\n', '古田县\n', '屏南县\n', '寿宁县\n',
           '周宁县\n', '柘荣县\n', '福安市\n', '福鼎市\n', '江西省\n', '南昌市\n', '市辖区\n', '东湖区\n', '西湖区\n', '青云谱区\n', '湾里区\n', '青山湖区\n',
           '南昌县\n', '新建县\n', '安义县\n', '进贤县\n', '景德镇市\n', '市辖区\n', '昌江区\n', '珠山区\n', '浮梁县\n', '乐平市\n', '萍乡市\n', '市辖区\n',
           '安源区\n', '湘东区\n', '莲花县\n', '上栗县\n', '芦溪县\n', '九江市\n', '市辖区\n', '庐山区\n', '浔阳区\n', '九江县\n', '武宁县\n', '修水县\n',
           '永修县\n', '德安县\n', '星子县\n', '都昌县\n', '湖口县\n', '彭泽县\n', '瑞昌市\n', '新余市\n', '市辖区\n', '渝水区\n', '分宜县\n', '鹰潭市\n',
           '市辖区\n', '月湖区\n', '余江县\n', '贵溪市\n', '赣州市\n', '市辖区\n', '章贡区\n', '赣县\n', '信丰县\n', '大余县\n', '上犹县\n', '崇义县\n',
           '安远县\n', '龙南县\n', '定南县\n', '全南县\n', '宁都县\n', '于都县\n', '兴国县\n', '会昌县\n', '寻乌县\n', '石城县\n', '瑞金市\n', '南康市\n',
           '吉安市\n', '市辖区\n', '吉州区\n', '青原区\n', '吉安县\n', '吉水县\n', '峡江县\n', '新干县\n', '永丰县\n', '泰和县\n', '遂川县\n', '万安县\n',
           '安福县\n', '永新县\n', '井冈山市\n', '宜春市\n', '市辖区\n', '袁州区\n', '奉新县\n', '万载县\n', '上高县\n', '宜丰县\n', '靖安县\n', '铜鼓县\n',
           '丰城市\n', '樟树市\n', '高安市\n', '抚州市\n', '市辖区\n', '临川区\n', '南城县\n', '黎川县\n', '南丰县\n', '崇仁县\n', '乐安县\n', '宜黄县\n',
           '金溪县\n', '资溪县\n', '东乡县\n', '广昌县\n', '上饶市\n', '市辖区\n', '信州区\n', '上饶县\n', '广丰县\n', '玉山县\n', '铅山县\n', '横峰县\n',
           '弋阳县\n', '余干县\n', '鄱阳县\n', '万年县\n', '婺源县\n', '德兴市\n', '山东省\n', '济南市\n', '市辖区\n', '历下区\n', '市中区\n', '槐荫区\n',
           '天桥区\n', '历城区\n', '长清区\n', '平阴县\n', '济阳县\n', '商河县\n', '章丘市\n', '青岛市\n', '市辖区\n', '市南区\n', '市北区\n', '四方区\n',
           '黄岛区\n', '崂山区\n', '李沧区\n', '城阳区\n', '胶州市\n', '即墨市\n', '平度市\n', '胶南市\n', '莱西市\n', '淄博市\n', '市辖区\n', '淄川区\n',
           '张店区\n', '博山区\n', '临淄区\n', '周村区\n', '桓台县\n', '高青县\n', '沂源县\n', '枣庄市\n', '市辖区\n', '市中区\n', '薛城区\n', '峄城区\n',
           '台儿庄区\n', '山亭区\n', '滕州市\n', '东营市\n', '市辖区\n', '东营区\n', '河口区\n', '垦利县\n', '利津县\n', '广饶县\n', '烟台市\n', '市辖区\n',
           '芝罘区\n', '福山区\n', '牟平区\n', '莱山区\n', '长岛县\n', '龙口市\n', '莱阳市\n', '莱州市\n', '蓬莱市\n', '招远市\n', '栖霞市\n', '海阳市\n',
           '潍坊市\n', '市辖区\n', '潍城区\n', '寒亭区\n', '坊子区\n', '奎文区\n', '临朐县\n', '昌乐县\n', '青州市\n', '诸城市\n', '寿光市\n', '安丘市\n',
           '高密市\n', '昌邑市\n', '济宁市\n', '市辖区\n', '市中区\n', '任城区\n', '鱼台县\n', '金乡县\n', '嘉祥县\n', '汶上县\n', '泗水县\n', '梁山县\n',
           '曲阜市\n', '兖州市\n', '邹城市\n', '泰安市\n', '市辖区\n', '泰山区\n', '岱岳区\n', '宁阳县\n', '东平县\n', '新泰市\n', '肥城市\n', '威海市\n',
           '市辖区\n', '环翠区\n', '文登市\n', '荣成市\n', '乳山市\n', '日照市\n', '市辖区\n', '东港区\n', '岚山区\n', '五莲县\n', '莒县\n', '莱芜市\n',
           '市辖区\n', '莱城区\n', '钢城区\n', '临沂市\n', '临沂市辖区\n', '兰山区\n', '罗庄区\n', '河东区\n', '沂南县\n', '郯城县\n', '沂水县\n', '苍山县\n',
           '费县\n', '平邑县\n', '莒南县\n', '蒙阴县\n', '临沭县\n', '德州市\n', '市辖区\n', '德城区\n', '陵县\n', '宁津县\n', '庆云县\n', '临邑县\n',
           '齐河县\n', '平原县\n', '夏津县\n', '武城县\n', '乐陵市\n', '禹城市\n', '聊城市\n', '市辖区\n', '东昌府区\n', '阳谷县\n', '莘县\n', '茌平县\n',
           '东阿县\n', '冠县\n', '高唐县\n', '临清市\n', '滨州市\n', '市辖区\n', '滨城区\n', '惠民县\n', '阳信县\n', '无棣县\n', '沾化县\n', '博兴县\n',
           '邹平县\n', '菏泽市\n', '市辖区\n', '牡丹区\n', '曹县\n', '单县\n', '成武县\n', '巨野县\n', '郓城县\n', '鄄城县\n', '定陶县\n', '东明县\n',
           '河南省\n', '郑州市\n', '市辖区\n', '中原区\n', '二七区\n', '管城回族区\n', '金水区\n', '上街区\n', '惠济区\n', '中牟县\n', '巩义市\n', '荥阳市\n',
           '新密市\n', '新郑市\n', '登封市\n', '开封市\n', '市辖区\n', '龙亭区\n', '顺河区\n', '鼓楼区\n', '禹王台区\n', '金明区\n', '杞县\n', '通许县\n',
           '尉氏县\n', '开封县\n', '兰考县\n', '洛阳市\n', '市辖区\n', '老城区\n', '西工区\n', '廛河回族区\n', '涧西区\n', '吉利区\n', '洛龙区\n', '孟津县\n',
           '新安县\n', '栾川县\n', '嵩县\n', '汝阳县\n', '宜阳县\n', '洛宁县\n', '伊川县\n', '偃师市\n', '平顶山市\n', '市辖区\n', '新华区\n', '卫东区\n',
           '石龙区\n', '湛河区\n', '宝丰县\n', '叶  县\n', '鲁山县\n', '郏  县\n', '舞钢市\n', '汝州市\n', '安阳市\n', '市辖区\n', '文峰区\n', '北关区\n',
           '殷都区\n', '龙安区\n', '安阳县\n', '汤阴县\n', '滑县\n', '内黄县\n', '林州市\n', '鹤壁市\n', '市辖区\n', '鹤山区\n', '山城区\n', '淇滨区\n',
           '浚县\n', '淇县\n', '新乡市\n', '市辖区\n', '红旗区\n', '卫滨区\n', '凤泉区\n', '牧野区\n', '新乡县\n', '获嘉县\n', '原阳县\n', '延津县\n',
           '封丘县\n', '长垣县\n', '卫辉市\n', '辉县市\n', '焦作市\n', '市辖区\n', '解放区\n', '中站区\n', '马村区\n', '山阳区\n', '修武县\n', '博爱县\n',
           '武陟县\n', '温县\n', '济源市\n', '沁阳市\n', '孟州市\n', '濮阳市\n', '市辖区\n', '华龙区\n', '清丰县\n', '南乐县\n', '范县\n', '台前县\n',
           '濮阳县\n', '许昌市\n', '市辖区\n', '魏都区\n', '许昌县\n', '鄢陵县\n', '襄城县\n', '禹州市\n', '长葛市\n', '漯河市\n', '市辖区\n', '源汇区\n',
           '郾城区\n', '召陵区\n', '舞阳县\n', '临颖县\n', '三门峡市\n', '市辖区\n', '湖滨区\n', '渑池县\n', '陕县\n', '卢氏县\n', '义马市\n', '灵宝市\n',
           '南阳市\n', '市辖区\n', '宛城区\n', '卧龙区\n', '南召县\n', '方城县\n', '西峡县\n', '镇平县\n', '内乡县\n', '淅川县\n', '社旗县\n', '唐河县\n',
           '新野县\n', '桐柏县\n', '邓州市\n', '商丘市\n', '市辖区\n', '梁园区\n', '睢阳区\n', '民权县\n', '睢县\n', '宁陵县\n', '柘城县\n', '虞城县\n',
           '夏邑县\n', '永城市\n', '信阳市\n', '市辖区\n', '浉河区\n', '平桥区\n', '罗山县\n', '光山县\n', '新县\n', '商城县\n', '固始县\n', '潢川县\n',
           '淮滨县\n', '息县\n', '周口市\n', '市辖区\n', '川汇区\n', '扶沟县\n', '西华县\n', '商水县\n', '沈丘县\n', '郸城县\n', '淮阳县\n', '太康县\n',
           '鹿邑县\n', '项城市\n', '驻马店市\n', '市辖区\n', '驿城区\n', '西平县\n', '上蔡县\n', '平舆县\n', '正阳县\n', '确山县\n', '泌阳县\n', '汝南县\n',
           '遂平县\n', '新蔡县\n', '湖北省\n', '武汉市\n', '市辖区\n', '江岸区\n', '江汉区\n', '硚口区\n', '汉阳区\n', '武昌区\n', '青山区\n', '洪山区\n',
           '东西湖区\n', '汉南区\n', '蔡甸区\n', '江夏区\n', '黄陂区\n', '武汉市新洲区\n', '黄石市\n', '市辖区\n', '黄石港区\n', '西塞山区\n', '下陆区\n',
           '铁山区\n', '阳新县\n', '大冶市\n', '十堰市\n', '市辖区\n', '茅箭区\n', '张湾区\n', '郧县\n', '郧西县\n', '竹山县\n', '竹溪县\n', '房县\n',
           '丹江口市\n', '宜昌市\n', '市辖区\n', '西陵区\n', '伍家岗区\n', '点军区\n', '猇亭区\n', '夷陵区\n', '远安县\n', '兴山县\n', '秭归县\n', '长阳县\n',
           '五峰县\n', '宜都市\n', '当阳市\n', '枝江市\n', '襄樊市\n', '市辖区\n', '襄城区\n', '樊城区\n', '襄阳区\n', '南漳县\n', '谷城县\n', '保康县\n',
           '老河口市\n', '枣阳市\n', '宜城市\n', '鄂州市\n', '市辖区\n', '粱子湖区\n', '华容区\n', '鄂城区\n', '荆门市\n', '市辖区\n', '东宝区\n', '掇刀区\n',
           '京山县\n', '沙洋县\n', '钟祥市\n', '孝感市\n', '市辖区\n', '孝南区\n', '孝昌县\n', '大悟县\n', '云梦县\n', '应城市\n', '安陆市\n', '汉川市\n',
           '荆州市\n', '市辖区\n', '沙市区\n', '荆州区\n', '公安县\n', '监利县\n', '江陵县\n', '石首市\n', '洪湖市\n', '松滋市\n', '黄冈市\n', '市辖区\n',
           '黄州区\n', '团风县\n', '红安县\n', '罗田县\n', '英山县\n', '浠水县\n', '蕲春县\n', '黄梅县\n', '麻城市\n', '武穴市\n', '咸宁市\n', '市辖区\n',
           '咸安区\n', '嘉鱼县\n', '通城县\n', '崇阳县\n', '通山县\n', '赤壁市\n', '随州市\n', '市辖区\n', '曾都区\n', '广水市\n', '恩施州\n', '恩施市\n',
           '利川市\n', '建始县\n', '巴东县\n', '宣恩县\n', '咸丰县\n', '来凤县\n', '鹤峰县\n', '省直辖行政单位\n', '仙桃市\n', '潜江市\n', '天门市\n',
           '神农架林区\n', '湖南省\n', '长沙市\n', '市辖区\n', '芙蓉区\n', '天心区\n', '岳麓区\n', '开福区\n', '雨花区\n', '长沙县\n', '望城县\n', '宁乡县\n',
           '浏阳市\n', '株洲市\n', '市辖区\n', '荷塘区\n', '芦淞区\n', '石峰区\n', '天元区\n', '株洲县\n', '攸县\n', '茶陵县\n', '炎陵县\n', '醴陵市\n',
           '湘潭市\n', '市辖区\n', '雨湖区\n', '岳塘区\n', '湘潭县\n', '湘乡市\n', '韶山市\n', '衡阳市\n', '市辖区\n', '珠晖区\n', '雁峰区\n', '石鼓区\n',
           '蒸湘区\n', '南岳区\n', '衡阳县\n', '衡南县\n', '衡山县\n', '衡东县\n', '祁东县\n', '耒阳市\n', '常宁市\n', '邵阳市\n', '市辖区\n', '双清区\n',
           '大祥区\n', '北塔区\n', '邵东县\n', '新邵县\n', '邵阳县\n', '隆回县\n', '洞口县\n', '绥宁县\n', '新宁县\n', '城步县\n', '武冈市\n', '岳阳市\n',
           '市辖区\n', '岳阳楼区\n', '云溪区\n', '君山区\n', '岳阳县\n', '华容县\n', '湘阴县\n', '平江县\n', '汩罗市\n', '临湘市\n', '常德市\n', '市辖区\n',
           '武陵区\n', '鼎城区\n', '安乡县\n', '汉寿县\n', '澧县\n', '临澧县\n', '桃源县\n', '石门县\n', '津市市\n', '张家界市\n', '市辖区\n', '永定区\n',
           '武陵源区\n', '慈利县\n', '桑植县\n', '益阳市\n', '市辖区\n', '资阳区\n', '赫山区\n', '南县\n', '桃江县\n', '安化县\n', '沅江市\n', '郴州市\n',
           '市辖区\n', '北湖区\n', '苏仙区\n', '桂阳县\n', '宜章县\n', '永兴县\n', '嘉禾县\n', '临武县\n', '汝城县\n', '桂东县\n', '安仁县\n', '资兴市\n',
           '永州市\n', '市辖区\n', '零陵区\n', '冷水滩区\n', '祁阳县\n', '东安县\n', '双牌县\n', '道县\n', '江永县\n', '宁远县\n', '蓝山县\n', '新田县\n',
           '江华县\n', '怀化市\n', '市辖区\n', '鹤城区\n', '中方县\n', '沅陵县\n', '辰溪县\n', '溆浦县\n', '会同县\n', '麻阳县\n', '新晃县\n', '芷江县\n',
           '靖州苗族侗族县\n', '通道县\n', '洪江市\n', '娄底市\n', '市辖区\n', '娄星区\n', '双峰县\n', '新化县\n', '冷水江市\n', '涟源市\n', '湘西州\n',
           '吉首市\n', '泸溪县\n', '凤凰县\n', '花垣县\n', '保靖县\n', '古丈县\n', '永顺县\n', '龙山县\n', '广东省\n', '广州市\n', '市辖区\n', '荔湾区\n',
           '越秀区\n', '海珠区\n', '天河区\n', '白云区\n', '黄埔区\n', '番禺区\n', '花都区\n', '南沙区\n', '萝岗区\n', '增城市\n', '从化市\n', '韶关市\n',
           '市辖区\n', '武江区\n', '浈江区\n', '曲江区\n', '始兴县\n', '仁化县\n', '翁源县\n', '乳源县\n', '新丰县\n', '乐昌市\n', '南雄市\n', '深圳市\n',
           '市辖区\n', '罗湖区\n', '福田区\n', '南山区\n', '宝安区\n', '龙岗区\n', '盐田区\n', '珠海市\n', '市辖区\n', '香洲区\n', '斗门区\n', '金湾区\n',
           '汕头市\n', '市辖区\n', '龙湖区\n', '金平区\n', '濠江区\n', '潮阳区\n', '潮南区\n', '澄海区\n', '南澳县\n', '佛山市\n', '市辖区\n', '禅城区\n',
           '南海区\n', '顺德区\n', '三水区\n', '高明区\n', '江门市\n', '市辖区\n', '蓬江区\n', '江海区\n', '新会区\n', '台山市\n', '开平市\n', '鹤山市\n',
           '恩平市\n', '湛江市\n', '市辖区\n', '湛江市赤坎区\n', '湛江市霞山区\n', '湛江市坡头区\n', '湛江市麻章区\n', '遂溪县\n', '徐闻县\n', '廉江市\n',
           '雷州市\n', '吴川市\n', '茂名市\n', '市辖区\n', '茂南区\n', '茂港区\n', '电白县\n', '高州市\n', '化州市\n', '信宜市\n', '肇庆市\n', '市辖区\n',
           '端州区\n', '鼎湖区\n', '广宁县\n', '怀集县\n', '封开县\n', '德庆县\n', '高要市\n', '四会市\n', '惠州市\n', '市辖区\n', '惠城区\n', '惠阳区\n',
           '博罗县\n', '惠东县\n', '龙门县\n', '梅州市\n', '市辖区\n', '梅江区\n', '梅县\n', '大埔县\n', '丰顺县\n', '五华县\n', '平远县\n', '蕉岭县\n',
           '兴宁市\n', '汕尾市\n', '市辖区\n', '城区\n', '海丰县\n', '陆河县\n', '陆丰市\n', '河源市\n', '市辖区\n', '源城区\n', '紫金县\n', '龙川县\n',
           '连平县\n', '和平县\n', '东源县\n', '阳江市\n', '市辖区\n', '江城区\n', '阳西县\n', '阳东县\n', '阳春市\n', '清远市\n', '市辖区\n', '清城区\n',
           '佛冈县\n', '阳山县\n', '连山县\n', '连南县\n', '清新县\n', '英德市\n', '连州市\n', '东莞市\n', '中山市\n', '潮州市\n', '市辖区\n',
           '潮州市湘桥区\n', '潮州市潮安县\n', '潮州市饶平县\n', '揭阳市\n', '市辖区\n', '榕城区\n', '揭东县\n', '揭西县\n', '惠来县\n', '普宁市\n', '云浮市\n',
           '市辖区\n', '云城区\n', '新兴县\n', '郁南县\n', '云安县\n', '罗定市\n', '广西\n', '南宁市\n', '市辖区\n', '兴宁区\n', '青秀区\n', '江南区\n',
           '西乡塘区\n', '良庆区\n', '邕宁区\n', '武鸣县\n', '隆安县\n', '马山县\n', '上林县\n', '宾阳县\n', '横县\n', '柳州市\n', '市辖区\n', '城中区\n',
           '鱼峰区\n', '柳南区\n', '柳北区\n', '柳江县\n', '柳城县\n', '鹿寨县\n', '融安县\n', '融水县\n', '三江县\n', '桂林市\n', '市辖区\n', '秀峰区\n',
           '叠彩区\n', '象山区\n', '七星区\n', '雁山区\n', '阳朔县\n', '临桂县\n', '灵川县\n', '全州县\n', '兴安县\n', '永福县\n', '灌阳县\n', '龙胜县\n',
           '资源县\n', '平乐县\n', '荔浦县\n', '恭城县\n', '梧州市\n', '市辖区\n', '万秀区\n', '蝶山区\n', '长洲区\n', '苍梧县\n', '藤县\n', '蒙山县\n',
           '岑溪市\n', '北海市\n', '市辖区\n', '海城区\n', '银海区\n', '铁山港区\n', '合浦县\n', '防城港市\n', '市辖区\n', '港口区\n', '防城区\n', '上思县\n',
           '东兴市\n', '钦州市\n', '市辖区\n', '钦南区\n', '钦北区\n', '灵山县\n', '浦北县\n', '贵港市\n', '市辖区\n', '港北区\n', '港南区\n', '覃塘区\n',
           '平南县\n', '桂平市\n', '玉林市\n', '市辖区\n', '玉州区\n', '容县\n', '陆川县\n', '博白县\n', '兴业县\n', '北流市\n', '百色市\n', '市辖区\n',
           '右江区\n', '田阳县\n', '田东县\n', '平果县\n', '德保县\n', '靖西县\n', '那坡县\n', '凌云县\n', '乐业县\n', '田林县\n', '西林县\n', '隆林县\n',
           '贺州市\n', '市辖区\n', '八步区\n', '昭平县\n', '钟山县\n', '富川县\n', '河池市\n', '市辖区\n', '金城江区\n', '南丹县\n', '天峨县\n', '凤山县\n',
           '东兰县\n', '罗城县\n', '环江县\n', '巴马县\n', '都安县\n', '大化县\n', '宜州市\n', '来宾市\n', '市辖区\n', '兴宾区\n', '忻城县\n', '象州县\n',
           '武宣县\n', '金秀县\n', '合山市\n', '崇左市\n', '市辖区\n', '江州区\n', '扶绥县\n', '宁明县\n', '龙州县\n', '大新县\n', '天等县\n', '凭祥市\n',
           '海南省\n', '海口市\n', '市辖区\n', '秀英区\n', '龙华区\n', '琼山区\n', '美兰区\n', '三亚市\n', '市辖区\n', '五指山市\n', '冲山镇\n', '南圣镇\n',
           '毛阳镇\n', '番阳镇\n', '畅好乡\n', '毛道乡\n', '水满乡\n', '国营畅好农场\n', '琼海市\n', '嘉积镇\n', '万泉镇\n', '石壁镇\n', '中原镇\n',
           '博敖镇\n', '阳江镇\n', '龙江镇\n', '潭门镇\n', '塔洋镇\n', '长坡镇\n', '大路镇\n', '会山镇\n', '国营东太农场\n', '国营东平农场\n', '国营东红农场\n',
           '国营东升农场\n', '国营南俸农场\n', '彬村山华侨农场\n', '儋州市\n', '那大镇\n', '和庆镇\n', '南丰镇\n', '大成镇\n', '雅星镇\n', '兰洋镇\n', '光村镇\n',
           '木棠镇\n', '海头镇\n', '峨蔓镇\n', '三都镇\n', '王五镇\n', '白马井镇\n', '中和镇\n', '排浦镇\n', '东成镇\n', '新州镇\n', '国营西培农场\n',
           '国营西华农场\n', '国营西庆农场\n', '国营西流农场\n', '国营西联农场\n', '国营蓝洋农场\n', '国营新盈农场\n', '国营八一农场东山分场\n', '国营八一农场金川分场\n',
           '国营八一农场长岭分场\n', '国营八一农场英岛分场\n', '国营八一农场春江分场\n', '国营八一农场强打管区\n', '国营龙山农场\n', '国营红岭农场\n', '洋浦经济开发区\n',
           '华南热作学院\n', '文昌市\n', '文城镇\n', '重兴镇\n', '蓬莱镇\n', '会文镇\n', '东路镇\n', '潭牛镇\n', '东阁镇\n', '文教镇\n', '东郊镇\n',
           '龙楼镇\n', '昌洒镇\n', '翁田镇\n', '抱罗镇\n', '冯坡镇\n', '锦山镇\n', '铺前镇\n', '国营东路农场\n', '国营南阳农场\n', '国营罗豆农场\n',
           '国营文昌橡胶研究所\n', '万宁市\n', '万城镇\n', '龙滚镇\n', '和乐镇\n', '后安镇\n', '大茂镇\n', '东澳镇\n', '礼纪镇\n', '长丰镇\n', '山根镇\n',
           '北大镇\n', '南桥镇\n', '三更罗镇\n', '国营东兴农场\n', '国营东和农场\n', '国营东岭农场\n', '国营南林农场\n', '国营新中农场\n', '兴隆华侨农场\n',
           '地方国营六连林场\n', '东方市\n', '八所镇\n', '东河镇\n', '大田镇\n', '感城镇\n', '板桥镇\n', '三家镇\n', '四更镇\n', '新龙镇\n', '天安乡\n',
           '江边乡\n', '国营广坝农场\n', '国营公爱农场\n', '国营红泉农场\n', '省国营东方华侨农场\n', '定安县\n', '定城镇\n', '新竹镇\n', '龙湖镇\n', '黄竹镇\n',
           '雷鸣镇\n', '龙门镇\n', '龙河镇\n', '岭口镇\n', '翰林镇\n', '富文镇\n', '国营中瑞农场\n', '国营南海农场\n', '国营金鸡岭农场\n', '定安热作研究所\n',
           '屯昌县\n', '屯城镇\n', '新兴镇\n', '枫木镇\n', '乌坡镇\n', '南吕镇\n', '南坤镇\n', '坡心镇\n', '西昌镇\n', '国营中建农场\n', '国营中坤农场\n',
           '国营黄岭农场\n', '国营南吕农场\n', '国营广青农场\n', '国营晨星农场\n', '澄迈县\n', '金江镇\n', '老城镇\n', '瑞溪镇\n', '永发镇\n', '加乐镇\n',
           '文儒镇\n', '中兴镇\n', '仁兴镇\n', '福山镇\n', '桥头镇\n', '国营红光农场\n', '国营红岗农场\n', '国营西达农场\n', '国营昆仑农场\n', '国营和岭农场\n',
           '国营金安农场\n', '澄迈县华侨农场\n', '临高县\n', '临城镇\n', '波莲镇\n', '东英镇\n', '博厚镇\n', '皇桐镇\n', '多文镇\n', '和舍镇\n', '南宝镇\n',
           '新盈镇\n', '调楼镇\n', '国营红华农场\n', '国营加来农场\n', '白沙县\n', '牙叉镇\n', '七坊镇\n', '邦溪镇\n', '打安镇\n', '细水乡\n', '元门乡\n',
           '南开乡\n', '阜龙乡\n', '青松乡\n', '金波乡\n', '荣邦乡\n', '国营金波农场\n', '国营白沙农场\n', '国营牙叉农场\n', '国营卫星农场\n', '国营龙江农场\n',
           '国营珠碧江农场\n', '国营芙蓉田农场\n', '国营大岭农场\n', '国营邦溪农场\n', '昌江县\n', '石碌镇\n', '叉河镇\n', '十月田镇\n', '乌烈镇\n', '昌化镇\n',
           '海尾镇\n', '七叉镇\n', '王下乡\n', '国营红田农场\n', '国营红林农场\n', '国营坝王岭林场\n', '海南钢铁公司\n', '乐东县\n', '抱由镇\n', '万冲镇\n',
           '大安镇\n', '志仲镇\n', '千家镇\n', '九所镇\n', '利国镇\n', '黄流镇\n', '佛罗镇\n', '尖峰镇\n', '莺歌海镇\n', '国营乐中农场\n', '国营山荣农场\n',
           '国营乐光农场\n', '国营报伦农场\n', '国营福报农场\n', '国营保国农场\n', '国营保显农场\n', '国营尖峰岭林业公司\n', '国营莺歌海盐场\n', '陵水县\n', '椰林镇\n',
           '光坡镇\n', '三才镇\n', '英州镇\n', '隆广镇\n', '文罗镇\n', '本号镇\n', '新村镇\n', '黎安镇\n', '提蒙乡\n', '群英乡\n', '国营岭门农场\n',
           '国营南平农场\n', '国营吊罗山林业公司\n', '保亭县\n', '保城镇\n', '什玲镇\n', '加茂镇\n', '响水镇\n', '新政镇\n', '三道镇\n', '六弓乡\n', '南林乡\n',
           '毛感乡\n', '国营五指山茶场\n', '国营新星农场\n', '国营保亭热作所\n', '国营金江农场\n', '国营南茂农场\n', '国营三道农场\n', '琼中县\n', '营根镇\n', '湾岭镇\n',
           '黎母山镇\n', '和平镇\n', '长征镇\n', '红毛镇\n', '中平镇\n', '吊罗山乡\n', '上安乡\n', '什运乡\n', '国营新进农场\n', '国营大丰农场\n', '国营阳江农场\n',
           '国营乌石农场\n', '国营南方农场\n', '国营岭头农场\n', '国营加钗农场\n', '国营长征农场\n', '国营乘坡农场\n', '国营太平农场\n', '国营新伟农场\n',
           '国营黎母山林业公司\n', '西沙群岛\n', '三沙市\n', '南沙群岛\n', '香港岛\n', '中沙群岛的岛礁及其海域\n', '九龙\n', '重庆市\n', '重庆市\n', '万州区\n',
           '涪陵区\n', '渝中区\n', '大渡口区\n', '江北区\n', '沙坪坝区\n', '九龙坡区\n', '南岸区\n', '北碚区\n', '万盛区\n', '双桥区\n', '渝北区\n',
           '巴南区\n', '黔江区\n', '长寿区\n', '江津区\n', '合川区\n', '永川区\n', '南川区\n', '县\n', '綦江县\n', '潼南县\n', '铜梁县\n', '大足县\n',
           '荣昌县\n', '璧山县\n', '梁平县\n', '城口县\n', '丰都县\n', '垫江县\n', '武隆县\n', '忠县\n', '开县\n', '云阳县\n', '奉节县\n', '巫山县\n',
           '巫溪县\n', '石柱县\n', '秀山县\n', '酉阳县\n', '彭水县\n', '四川省\n', '成都市\n', '市辖区\n', '锦江区\n', '青羊区\n', '金牛区\n', '武侯区\n',
           '成华区\n', '龙泉驿区\n', '青白江区\n', '新都区\n', '温江区\n', '金堂县\n', '双流县\n', '郫县\n', '大邑县\n', '蒲江县\n', '新津县\n', '都江堰市\n',
           '彭州市\n', '邛崃市\n', '崇州市\n', '自贡市\n', '市辖区\n', '自流井区\n', '贡井区\n', '大安区\n', '沿滩区\n', '荣县\n', '富顺县\n', '攀枝花市\n',
           '市辖区\n', '攀枝花东区\n', '西区\n', '仁和区\n', '米易县\n', '盐边县\n', '泸州市\n', '市辖区\n', '江阳区\n', '纳溪区\n', '龙马潭区\n', '泸县\n',
           '合江县\n', '叙永县\n', '古蔺县\n', '德阳市\n', '市辖区\n', '旌阳区\n', '中江县\n', '罗江县\n', '广汉市\n', '什邡市\n', '绵竹市\n', '绵阳市\n',
           '市辖区\n', '涪城区\n', '游仙区\n', '三台县\n', '盐亭县\n', '安县\n', '梓潼县\n', '北川县\n', '平武县\n', '江油市\n', '广元市\n', '市辖区\n',
           '市中区\n', '元坝区\n', '朝天区\n', '旺苍县\n', '青川县\n', '剑阁县\n', '苍溪县\n', '遂宁市\n', '市辖区\n', '船山区\n', '安居区\n', '蓬溪县\n',
           '射洪县\n', '大英县\n', '内江市\n', '市辖区\n', '市中区\n', '东兴区\n', '威远县\n', '资中县\n', '隆昌县\n', '乐山市\n', '市辖区\n', '市中区\n',
           '沙湾区\n', '五通桥区\n', '金口河区\n', '犍为县\n', '井研县\n', '夹江县\n', '沐川县\n', '峨边县\n', '马边县\n', '峨眉山市\n', '南充市\n',
           '市辖区\n', '顺庆区\n', '高坪区\n', '嘉陵区\n', '南部县\n', '营山县\n', '蓬安县\n', '仪陇县\n', '西充县\n', '阆中市\n', '眉山市\n', '市辖区\n',
           '东坡区\n', '仁寿县\n', '彭山县\n', '洪雅县\n', '丹棱县\n', '青神县\n', '宜宾市\n', '市辖区\n', '翠屏区\n', '宜宾县\n', '南溪县\n', '江安县\n',
           '长宁县\n', '高县\n', '珙县\n', '筠连县\n', '兴文县\n', '屏山县\n', '广安市\n', '市辖区\n', '广安区\n', '岳池县\n', '武胜县\n', '邻水县\n',
           '华蓥市\n', '达州市\n', '市辖区\n', '通川区\n', '达县\n', '宣汉县\n', '开江县\n', '大竹县\n', '渠县\n', '万源市\n', '雅安市\n', '市辖区\n',
           '雨城区\n', '名山县\n', '荥经县\n', '汉源县\n', '石棉县\n', '天全县\n', '芦山县\n', '宝兴县\n', '巴中市\n', '市辖区\n', '巴州区\n', '通江县\n',
           '南江县\n', '平昌县\n', '资阳市\n', '市辖区\n', '雁江区\n', '安岳县\n', '乐至县\n', '简阳市\n', '阿坝州\n', '汶川县\n', '理县\n', '茂县\n',
           '松潘县\n', '九寨沟县\n', '金川县\n', '小金县\n', '黑水县\n', '马尔康县\n', '壤塘县\n', '阿坝县\n', '若尔盖县\n', '红原县\n', '甘孜州\n',
           '康定县\n', '泸定县\n', '丹巴县\n', '九龙县\n', '雅江县\n', '道孚县\n', '炉霍县\n', '甘孜县\n', '新龙县\n', '德格县\n', '白玉县\n', '石渠县\n',
           '色达县\n', '理塘县\n', '巴塘县\n', '乡城县\n', '稻城县\n', '得荣县\n', '凉山州\n', '西昌市\n', '木里县\n', '盐源县\n', '德昌\n', '会理县\n',
           '会东县\n', '宁南县\n', '普格县\n', '布拖县\n', '金阳县\n', '昭觉县\n', '喜德县\n', '冕宁县\n', '越西县\n', '甘洛县\n', '美姑县\n', '雷波县\n',
           '贵州省\n', '贵阳市\n', '市辖区\n', '南明区\n', '云岩区\n', '花溪区\n', '乌当区\n', '白云区\n', '小河区\n', '开阳县\n', '息烽县\n', '修文县\n',
           '清镇市\n', '六盘水市\n', '钟山区\n', '六枝特区\n', '水城县\n', '盘县\n', '遵义市\n', '市辖区\n', '红花岗区\n', '汇川区\n', '遵义县\n', '桐梓县\n',
           '绥阳县\n', '正安县\n', '道真县\n', '务川县\n', '凤冈县\n', '湄潭县\n', '余庆县\n', '习水县\n', '赤水市\n', '仁怀市\n', '安顺市\n', '市辖区\n',
           '西秀区\n', '平坝县\n', '普定县\n', '镇宁县\n', '关岭县\n', '紫云县\n', '铜仁地区\n', '铜仁市\n', '江口县\n', '玉屏县\n', '石阡县\n',
           '思南县\u3000\n', '印江县\n', '德江县\n', '沿河县\n', '松桃县\n', '万山特区\n', '黔西南州\n', '兴义市\n', '兴仁县\n', '普安县\n', '晴隆县\n',
           '贞丰县\n', '望谟县\n', '册亨县\n', '安龙县\n', '毕节地区\n', '毕节市\n', '大方县\n', '黔西县\n', '金沙县\n', '织金县\n', '纳雍县\n', '威宁县\n',
           '赫章县\n', '黔东南州\n', '凯里市\n', '黄平县\n', '施秉县\n', '三穗县\n', '镇远县\n', '岑巩县\n', '天柱县\n', '锦屏县\n', '剑河县\n', '台江县\n',
           '黎平县\n', '榕江县\n', '从江县\n', '雷山县\n', '麻江县\n', '丹寨县\n', '黔南州\n', '都匀市\n', '福泉市\n', '荔波县\n', '贵定县\n', '瓮安县\n',
           '独山县\n', '平塘县\n', '罗甸县\n', '长顺县\n', '龙里县\n', '惠水县\n', '三都县\n', '云南省\n', '昆明市\n', '市辖区\n', '五华区\n', '盘龙区\n',
           '官渡区\n', '西山区\n', '东川区\n', '呈贡县\n', '晋宁县\n', '富民县\n', '宜良县\n', '石林县\n', '嵩明县\n', '禄劝县\n', '寻甸县\n', '安宁市\n',
           '曲靖市\n', '市辖区\n', '麒麟区\n', '马龙县\n', '陆良县\n', '师宗县\n', '罗平县\n', '富源县\n', '会泽县\n', '沾益县\n', '宣威市\n', '玉溪市\n',
           '市辖区\n', '红塔区\n', '江川县\n', '澄江县\n', '通海县\n', '华宁县\n', '易门县\n', '峨山县\n', '新平县\n', '元江县\n', '保山市\n', '市辖区\n',
           '隆阳区\n', '施甸县\n', '腾冲县\n', '龙陵县\n', '昌宁县\n', '昭通市\n', '市辖区\n', '昭阳区\n', '鲁甸县\n', '巧家县\n', '盐津县\n', '大关县\n',
           '永善县\n', '绥江县\n', '镇雄县\n', '彝良县\n', '威信县\n', '水富县\n', '丽江市\n', '市辖区\n', '古城区\n', '玉龙县\n', '永胜县\n', '华坪县\n',
           '宁蒗县\n', '思茅市\n', '市辖区\n', '翠云区\n', '普洱县\n', '墨江县\n', '景东县\n', '景谷县\n', '镇沅县\n', '江城县\n', '孟连县\n', '澜沧县\n',
           '西盟县\n', '临沧市\n', '市辖区\n', '临翔区\n', '凤庆县\n', '云县\n', '永德县\n', '镇康县\n', '双江县\n', '耿马县\n', '沧源县\n', '楚雄州\n',
           '楚雄市\n', '双柏县\n', '牟定县\n', '南华县\n', '姚安县\n', '大姚县\n', '永仁县\n', '元谋县\n', '武定县\n', '禄丰县\n', '红河州\n', '个旧市\n',
           '开远市\n', '蒙自县\n', '屏边县\n', '建水县\n', '石屏县\n', '弥勒县\n', '泸西县\n', '元阳县\n', '红河县\n', '金平县\n', '绿春县\n', '河口县\n',
           '文山州\n', '文山县\n', '砚山县\n', '西畴县\n', '麻栗坡县\n', '马关县\n', '丘北县\n', '广南县\n', '富宁县\n', '西双版纳州\n', '景洪市\n',
           '勐海县\n', '勐腊县\n', '大理州\n', '大理市\n', '漾濞县\n', '祥云县\n', '宾川县\n', '弥渡县\n', '南涧县\n', '巍山县\n', '永平县\n', '云龙县\n',
           '洱源县\n', '剑川县\n', '鹤庆县\n', '德宏州\n', '瑞丽市\n', '潞西市\n', '梁河县\n', '盈江县\n', '陇川县\n', '怒江州\n', '泸水县\n', '福贡县\n',
           '贡山县\n', '兰坪县\n', '迪庆州\n', '香格里拉县\n', '德钦县\n', '维西县\n', '西藏\n', '拉萨市\n', '市辖区\n', '城关区\n', '林周县\n', '当雄县\n',
           '尼木县\n', '曲水县\n', '堆龙德庆\n', '达孜县\n', '墨竹工卡县\n', '昌都地区\n', '昌都县\n', '江达县\n', '贡觉县\n', '类乌齐县\n', '丁青县\n',
           '察亚县\n', '八宿县\n', '左贡县\n', '芒康县\n', '洛隆县\n', '边坝县\n', '山南地区\n', '乃东县\n', '扎囊县\n', '贡嘎县\n', '桑日县\n', '琼结县\n',
           '曲松县\n', '措美县\n', '洛扎县\n', '加查县\n', '隆子县\n', '错那县\n', '浪卡子县\n', '日喀则地区\n', '日喀则市\n', '南木林县\n', '江孜县\n',
           '定日县\n', '萨迦县\n', '拉孜县\n', '昂仁县\n', '谢通门县\n', '白朗县\n', '仁布县\n', '康马县\n', '定结县\n', '仲巴县\n', '亚东县\n', '吉隆县\n',
           '聂拉木县\n', '萨嘎县\n', '岗巴县\n', '那曲地区\n', '那曲县\n', '嘉黎县\n', '比如县\n', '聂荣县\n', '安多县\n', '申扎县\n', '索县\n', '班戈县\n',
           '巴青县\n', '尼玛县\n', '阿里地区\n', '普兰县\n', '札达县\n', '噶尔县\n', '日土县\n', '革吉县\n', '改则县\n', '措勤县\n', '林芝地区\n', '林芝县\n',
           '工布江达县\n', '米林县\n', '墨脱县\n', '波密县\n', '察隅县\n', '朗县\n', '陕西省\n', '西安市\n', '市辖区\n', '新城区\n', '碑林区\n', '莲湖区\n',
           '灞桥区\n', '未央区\n', '雁塔区\n', '阎良区\n', '临潼区\n', '长安区\n', '蓝田县\n', '周至县\n', '户县\n', '高陵县\n', '铜川市\n', '市辖区\n',
           '王益区\n', '印台区\n', '耀州区\n', '宜君县\n', '宝鸡市\n', '市辖区\n', '渭滨区\n', '金台区\n', '陈仓区\n', '凤翔县\n', '岐山县\n', '扶风县\n',
           '眉县\n', '陇县\n', '千阳县\n', '麟游县\n', '凤县\n', '太白县\n', '咸阳市\n', '市辖区\n', '秦都区\n', '杨凌区\n', '渭城区\n', '三原县\n',
           '泾阳县\n', '乾县\n', '礼泉县\n', '永寿县\n', '彬县\n', '长武县\n', '旬邑县\n', '淳化县\n', '武功县\n', '兴平市\n', '渭南市\n', '市辖区\n',
           '临渭区\n', '华县\n', '潼关县\n', '大荔县\n', '合阳县\n', '澄城县\n', '蒲城县\n', '白水县\n', '富平县\n', '韩城市\n', '华阴市\n', '延安市\n',
           '市辖区\n', '宝塔区\n', '延长县\n', '延川县\n', '子长县\n', '安塞县\n', '志丹县\n', '吴起县\n', '甘泉县\n', '富县\n', '洛川县\n', '宜川县\n',
           '黄龙县\n', '黄陵县\n', '汉中市\n', '市辖区\n', '汉台区\n', '南郑县\n', '城固县\n', '洋县\n', '西乡县\n', '勉县\n', '宁强县\n', '略阳县\n',
           '镇巴县\n', '留坝县\n', '佛坪县\n', '榆林市\n', '市辖区\n', '榆阳区\n', '神木县\n', '府谷县\n', '横山县\n', '靖边县\n', '定边县\n', '绥德县\n',
           '米脂县\n', '佳县\n', '吴堡县\n', '清涧县\n', '子洲县\n', '安康市\n', '市辖区\n', '汉滨区\n', '汉阴县\n', '石泉县\n', '宁陕县\n', '紫阳县\n',
           '岚皋县\n', '平利县\n', '镇坪县\n', '旬阳县\n', '白河县\n', '商洛市\n', '市辖区\n', '商州区\n', '洛南县\n', '丹凤县\n', '商南县\n', '山阳县\n',
           '镇安县\n', '柞水县\n', '甘肃省\n', '兰州市\n', '市辖区\n', '城关区\n', '七里河区\n', '兰州市西固区\n', '安宁区\n', '红古区\n', '永登县\n',
           '皋兰县\n', '榆中县\n', '嘉峪关市\n', '市辖\n', '金昌市\n', '市辖区\n', '金川区\n', '永昌县\n', '白银市\n', '市辖区\n', '白银区\n', '平川区\n',
           '靖远县\n', '会宁县\n', '景泰县\n', '天水市\n', '市辖区\n', '秦州区\n', '麦积区\n', '清水县\n', '秦安县\n', '甘谷县\n', '武山县\n', '张家川县\n',
           '武威市\n', '市辖区\n', '凉州区\n', '民勤县\n', '古浪县\n', '天祝县\n', '张掖市\n', '市辖区\n', '甘州区\n', '肃南县\n', '民乐县\n', '临泽县\n',
           '高台县\n', '山丹县\n', '平凉市\n', '市辖区\n', '崆峒区\n', '泾川县\n', '灵台县\n', '崇信县\n', '华亭县\n', '庄浪县\n', '静宁县\n', '酒泉市\n',
           '市辖区\n', '肃州区\n', '金塔县\n', '瓜州县\n', '肃北县\n', '阿克塞县\n', '玉门市\n', '敦煌市\n', '庆阳市\n', '市辖区\n', '西峰区\n', '庆城县\n',
           '环县\n', '华池县\n', '合水县\n', '正宁县\n', '宁县\n', '镇原县\n', '定西市\n', '市辖区\n', '安定区\n', '通渭县\n', '陇西县\n', '渭源县\n',
           '临洮县\n', '漳县\n', '岷县\n', '陇南市\n', '市辖区\n', '武都区\n', '成县\n', '文县\n', '宕昌县\n', '康县\n', '西和县\n', '礼县\n', '徽县\n',
           '两当县\n', '临夏州\n', '临夏市\n', '临夏县\n', '康乐县\n', '永靖县\n', '广河县\n', '和政县\n', '东乡县\n', '积石山县\n', '甘南州\n', '合作市\n',
           '临潭县\n', '卓尼县\n', '舟曲县\n', '迭部县\n', '玛曲县\n', '碌曲县\n', '夏河县\n', '青海省\n', '西宁市\n', '市辖区\n', '城东区\n', '城中区\n',
           '城西区\n', '城北区\n', '大通县\n', '湟中县\n', '湟源县\n', '海东地区\n', '平安县\n', '民和县\n', '乐都县\n', '互助县\n', '化隆县\n', '循化县\n',
           '海北州\n', '门源县\n', '祁连县\n', '海晏县\n', '刚察县\n', '黄南州\n', '同仁县\n', '尖扎县\n', '泽库县\n', '河南县\n', '海南州\n', '共和县\n',
           '同德县\n', '贵德县\n', '兴海县\n', '贵南县\n', '果洛州\n', '玛沁县\n', '班玛县\n', '甘德县\n', '达日县\n', '久治县\n', '玛多县\n', '玉树州\n',
           '玉树县\n', '杂多县\n', '称多县\n', '治多县\n', '囊谦县\n', '曲麻莱县\n', '海西州\n', '格尔木市\n', '德令哈市\n', '乌兰县\n', '都兰县\n',
           '天峻县\n', '宁夏\n', '银川市\n', '市辖区\n', '兴庆区\n', '西夏区\n', '金凤区\n', '永宁县\n', '贺兰县\n', '灵武市\n', '石嘴山市\n', '市辖区\n',
           '大武口区\n', '惠农区\n', '平罗县\n', '吴忠市\n', '市辖区\n', '利通区\n', '盐池县\n', '同心县\n', '青铜峡市\n', '固原市\n', '市辖区\n', '原州区\n',
           '西吉县\n', '隆德县\n', '泾源县\n', '彭阳县\n', '中卫市\n', '市辖区\n', '沙坡头区\n', '中宁县\n', '海原县\n', '新疆\n', '乌鲁木齐市\n', '市辖区\n',
           '天山区\n', '沙依巴克区\n', '新市区\n', '水磨沟区\n', '头屯河区\n', '达坂城区\n', '东山区\n', '乌鲁木齐县\n', '克拉玛依市\n', '市辖区\n', '独山子区\n',
           '克拉玛依区\n', '白碱滩区\n', '乌尔禾区\n', '吐鲁番地区\n', '吐鲁番市\n', '鄯善县\n', '托克逊县\n', '哈密地区\n', '哈密市\n', '巴里坤县\n', '伊吾县\n',
           '昌吉州\n', '昌吉市\n', '阜康市\n', '米泉市\n', '呼图壁县\n', '玛纳斯\n', '奇台县\n', '吉木萨尔县\n', '木垒县\n', '博州\n', '博乐市\n', '精河县\n',
           '温泉县\n', '巴州\n', '库尔勒市\n', '轮台县\n', '尉犁县\n', '若羌县\n', '且末县\n', '焉耆县\n', '和静县\n', '和硕县\n', '博湖县\n', '阿克苏地区\n',
           '阿克苏市\n', '温宿县\n', '库车县\n', '沙雅县\n', '新和县\n', '拜城县\n', '乌什县\n', '阿瓦提县\n', '柯坪县\n', '克州\n', '阿图什市\n',
           '阿克陶县\n', '阿合奇县\n', '乌恰县\n', '喀什地区\n', '喀什市\n', '疏附县\n', '疏勒县\n', '英吉沙县\n', '泽普县\n', '莎车县\n', '叶城县\n',
           '麦盖提县\n', '岳普湖县\n', '伽师县\n', '巴楚县\n', '塔什库尔干县\n', '和田地区\n', '和田市\n', '和田县\n', '墨玉县\n', '皮山县\n', '洛浦县\n',
           '策勒县\n', '于田县\n', '民丰县\n', '伊犁州\n', '伊宁市\n', '奎屯市\n', '伊宁县\n', '察布查尔县\n', '霍城县\n', '巩留县\n', '新源县\n', '昭苏县\n',
           '特克斯县\n', '尼勒克县\n', '塔城地区\n', '塔城市\n', '乌苏市\n', '额敏县\n', '沙湾县\n', '托里县\n', '裕民县\n', '和布县\n', '阿勒泰地区\n',
           '阿勒泰市\n', '布尔津县\n', '富蕴县\n', '福海县\n', '哈巴河县\n', '青河县\n', '吉木乃县\n', '省直辖行政单位\n', '石河子市\n', '阿拉尔市\n',
           '图木舒克市\n', '五家渠市\n', '台湾\n', '香港\n', '澳门\n', '龙华新区\n', '光明新区\n', '新界\n', '观塘区\n', '黄大仙区\n', '九龙城区\n',
           '深水埗区\n', '油尖旺区\n', '东区\n', '南区\n', '湾仔\n', '中西区\n', '北区\n', '大埔区\n', '葵青区\n', '离岛区\n', '荃湾区\n', '沙田区\n',
           '屯门区\n', '西贡区\n', '元朗区\n', '澳门半岛\n', '离岛\n', '大堂区\n', '风顺堂区\n', '花地玛堂区\n', '花王堂区\n', '望德堂区\n', '嘉模堂区\n',
           '路氹填海区\n', '圣方济各堂区\n', '高雄市\n', '花莲县\n', '基隆市\n', '嘉义市\n', '嘉义县\n', '金门县\n', '连江县\n', '苗栗县\n', '南投县\n',
           '澎湖县\n', '屏东县\n', '台北市\n', '台东县\n', '台南市\n', '台中市\n', '桃园市\n', '新北市\n', '新竹市\n', '新竹县\n', '宜兰县\n', '云林县\n',
           '彰化县\n', '阿莲区\n', '大寮区\n', '大社区\n', '大树区\n', '凤山区\n', '冈山区\n', '鼓山区\n', '湖内区\n', '甲仙区\n', '林园区\n', '苓雅区\n',
           '六龟区\n', '路竹区\n', '茂林区\n', '美浓区\n', '弥陀区\n', '楠梓区\n', '那玛夏区\n', '内门区\n', '鸟松区\n', '旗津区\n', '旗门区\n', '其它区\n',
           '前金区\n', '前镇区\n', '桥头区\n', '茄萣区\n', '芩雅区\n', '仁武区\n', '三民区\n', '杉林区\n', '桃源区\n', '田寮区\n', '小港区\n', '新兴区\n',
           '燕巢区\n', '盐埕区\n', '永安区\n', '梓官区\n', '左营区\n', '丰滨乡\n', '凤林镇\n', '富里乡\n', '光复乡\n', '花莲市\n', '吉安乡\n', '瑞穗乡\n',
           '寿丰乡\n', '太鲁阁\n', '万荣乡\n', '新城乡\n', '秀林乡\n', '玉里镇\n', '卓溪乡\n', '安乐区\n', '暖暖区\n', '七堵区\n', '其它区\n', '仁爱区\n',
           '信义区\n', '中山区\n', '中正区\n', '东区\n', '西区\n', '其它区\n', '阿里山乡\n', '布袋镇\n', '大林镇\n', '大埔乡\n', '东石乡\n', '番路乡\n',
           '六脚乡\n', '鹿草乡\n', '梅山乡\n', '民雄乡\n', '朴子市\n', '水上乡\n', '太保市\n', '溪口乡\n', '新港乡\n', '义竹乡\n', '中埔乡\n', '竹崎乡\n',
           '金城镇\n', '金湖镇\n', '金宁乡\n', '金沙镇\n', '烈屿乡\n', '乌邱乡\n', '北竿乡\n', '东引乡\n', '莒光乡\n', '南竿乡\n', '大湖乡\n', '公馆乡\n',
           '后龙镇\n', '苗栗市\n', '南庄乡\n', '三湾乡\n', '三义乡\n', '狮潭乡\n', '泰安乡\n', '铜锣乡\n', '通宵镇\n', '头份镇\n', '头屋乡\n', '西湖乡\n',
           '苑里镇\n', '造桥乡\n', '竹南镇\n', '卓兰镇\n', '草屯镇\n', '国姓乡\n', '集集镇\n', '鹿谷乡\n', '名间乡\n', '南投市\n', '埔里镇\n', '仁爱乡\n',
           '水里乡\n', '信义乡\n', '鱼池乡\n', '中寮乡\n', '竹山镇\n', '白沙乡\n', '湖西乡\n', '马公市\n', '七美乡\n', '望安乡\n', '西屿乡\n', '长治乡\n',
           '潮州镇\n', '车城乡\n', '春日乡\n', '东港镇\n', '枋寮乡\n', '枋山乡\n', '高树乡\n', '恒春镇\n', '佳冬乡\n', '九如乡\n', '崁顶乡\n', '来义乡\n',
           '里港乡\n', '林边乡\n', '麟洛乡\n', '琉球乡\n', '玛家乡\n', '满州乡\n', '牡丹乡\n', '南州乡\n', '内埔乡\n', '屏东市\n', '三地门乡\n', '狮子乡\n',
           '泰武乡\n', '万丹乡\n', '万峦乡\n', '雾台乡\n', '新埤乡\n', '新园乡\n', '盐埔乡\n', '竹田乡\n', '北投区\n', '大安区\n', '大同区\n', '南港区\n',
           '内湖区\n', '士林区\n', '松山区\n', '万华区\n', '文山区\n', '信义区\n', '中山区\n', '中正区\n', '其它区\n', '卑南乡\n', '长滨乡\n', '成功镇\n',
           '池上乡\n', '达仁乡\n', '大武乡\n', '东河乡\n', '关山镇\n', '海端乡\n', '金峰乡\n', '兰屿乡\n', '鹿野乡\n', '绿岛乡\n', '台东市\n', '太麻里乡\n',
           '延平乡\n', '中西区\n', '东区\n', '南区\n', '北区\n', '安平区\n', '安南区\n', '其它区\n', '永康区\n', '归仁区\n', '新化区\n', '左镇区\n',
           '玉井区\n', '楠西区\n', '南化区\n', '仁德区\n', '关庙区\n', '龙崎区\n', '官田区\n', '麻豆区\n', '佳里区\n', '西港区\n', '七股区\n', '将军区\n',
           '学甲区\n', '北门区\n', '新营区\n', '后壁区\n', '白河区\n', '东山区\n', '六甲区\n', '下营区\n', '柳营区\n', '盐水区\n', '善化区\n', '大内区\n',
           '山上区\n', '新市区\n', '安定区\n', '中区\n', '东区\n', '南区\n', '西区\n', '北区\n', '北屯区\n', '西屯区\n', '南屯区\n', '其它区\n',
           '太平区\n', '大里区\n', '雾峰区\n', '乌日区\n', '丰原区\n', '后里区\n', '石冈区\n', '东势区\n', '和平区\n', '新社区\n', '潭子区\n', '大雅区\n',
           '神冈区\n', '大肚区\n', '沙鹿区\n', '龙井区\n', '梧栖区\n', '清水区\n', '大甲区\n', '外埔区\n', '大安区\n', '中坜区\n', '平镇区\n', '龙潭区\n',
           '杨梅区\n', '新屋区\n', '观音区\n', '桃园区\n', '龟山区\n', '八德区\n', '大溪区\n', '复兴区\n', '大园区\n', '芦竹区\n', '万里区\n', '金山区\n',
           '板桥区\n', '汐止区\n', '深坑区\n', '石碇区\n', '瑞芳区\n', '平溪区\n', '双溪区\n', '贡寮区\n', '新店区\n', '坪林区\n', '乌来区\n', '永和区\n',
           '中和区\n', '土城区\n', '三峡区\n', '树林区\n', '莺歌区\n', '三重区\n', '新庄区\n', '泰山区\n', '林口区\n', '芦洲区\n', '五股区\n', '八里区\n',
           '淡水区\n', '三芝区\n', '石门区\n', '东区\n', '北区\n', '香山区\n', '其它区\n', '竹北市\n', '湖口乡\n', '新丰乡\n', '新埔镇\n', '关西镇\n',
           '芎林乡\n', '宝山乡\n', '竹东镇\n', '五峰乡\n', '横山乡\n', '尖石乡\n', '北埔乡\n', '峨眉乡\n', '宜兰市\n', '头城镇\n', '礁溪乡\n', '壮围乡\n',
           '员山乡\n', '罗东镇\n', '三星乡\n', '大同乡\n', '五结乡\n', '冬山乡\n', '苏澳镇\n', '南澳乡\n', '钓鱼台\n', '斗南镇\n', '大埤乡\n', '虎尾镇\n',
           '土库镇\n', '褒忠乡\n', '东势乡\n', '台西乡\n', '仑背乡\n', '麦寮乡\n', '斗六市\n', '林内乡\n', '古坑乡\n', '莿桐乡\n', '西螺镇\n', '二仑乡\n',
           '北港镇\n', '水林乡\n', '口湖乡\n', '四湖乡\n', '元长乡\n', '彰化市\n', '芬园乡\n', '花坛乡\n', '秀水乡\n', '鹿港镇\n', '福兴乡\n', '线西乡\n',
           '和美镇\n', '伸港乡\n', '员林镇\n', '社头乡\n', '永靖乡\n', '埔心乡\n', '溪湖镇\n', '大村乡\n', '埔盐乡\n', '田中镇\n', '北斗镇\n', '田尾乡\n',
           '埤头乡\n', '溪州乡\n', '竹塘乡\n', '二林镇\n', '大城乡\n', '芳苑乡\n', '二水乡\n', '莲池区\n', '竞秀区\n', '常平镇\n', '茶山镇\n', '大朗镇\n',
           '大岭山镇\n', '道滘镇\n', '东城街道\n', '东坑镇\n', '凤岗镇\n', '高埗镇\n', '莞城街道\n', '横沥镇\n', '洪梅镇\n', '厚街镇\n', '黄江镇\n',
           '虎门镇\n', '寮步镇\n', '麻涌镇\n', '南城街道\n', '桥头镇\n', '清溪镇\n', '企石镇\n', '沙田镇\n', '石碣镇\n', '石龙镇\n', '石排镇\n',
           '松山湖管委会\n', '塘厦镇\n', '望牛墩镇\n', '万江街道\n', '谢岗镇\n', '长安镇\n', '樟木头镇\n', '中堂镇\n']
    with open("stopwords.txt", "w") as f:
        f.writelines(tzc)


# 相似度对比
def yuxian_xiangshidu(s1, s2):
    class JaccardSimilarity(object):
        def __init__(self, content_x1, content_y2):
            self.s1 = content_x1
            self.s2 = content_y2

        @staticmethod
        def extract_keyword(content):  # 提取关键词
            # 正则过滤 html 标签
            re_exp = re.compile(r'(<style>.*?</style>)|(<[^>]+>)', re.S)
            content = re_exp.sub(' ', content)
            # html 转义符实体化
            content = html.unescape(content)
            # 切割
            seg = [i for i in jieba.cut(content, cut_all=True) if i != '']
            # 提取关键词
            keywords = jieba.analyse.extract_tags("|".join(seg), topK=200, withWeight=False)
            return keywords

        def main(self):
            # 去除停用词
            jieba.analyse.set_stop_words('stopwords.txt')
            # 分词与关键词提取
            keywords_x = self.extract_keyword(self.s1)
            keywords_y = self.extract_keyword(self.s2)
            # jaccard相似度计算
            intersection = len(list(set(keywords_x).intersection(set(keywords_y))))
            union = len(list(set(keywords_x).union(set(keywords_y))))
            # 除零处理
            sim = float(intersection) / union if union != 0 else 0
            return sim

    similarity = JaccardSimilarity(s1, s2)
    similarity = similarity.main() * 100
    return similarity


# 百度文本审核在线版本
def baidushenhe_zaixian(APP_ID, API_KEY, SECRET_KEY, txt):
    client = AipContentCensor(APP_ID, API_KEY, SECRET_KEY)
    return client.textCensorUserDefined(txt)


# 生成指定位数大写英文、数字字符串
def get_zimu_shuzi(n):
    passwd = []
    for i in range(n):
        if random.randint(0, 1):
            letter = random.choice(string.ascii_uppercase)
            passwd.append(letter)
        else:
            letter = random.choice(string.digits)
            passwd.append(letter)
    return "".join(passwd)


# 通过re过滤除中英文及数字以外的其他字符
def guolu_string(des_string, re_string=''):
    res = re.compile("[^\\u4e00-\\u9fa5^a-z^A-Z^0-9]")
    return res.sub(re_string, des_string)


# 按行读取指定txt为列表
def txt_list(path):
    classes_path = os.path.expanduser(path)
    with open(classes_path, 'r', encoding='UTF-8') as f:
        class_names = f.readlines()
    return class_names


# 输入字符串正则匹配手机号
def iphone_number(account):
    return re.findall('(13\d{9}|14[5|7]\d{8}|15\d{9}|166{\d{8}|17[3|6|7]{\d{8}|18\d{9})', account)


# 输入路径按行读取csv
def path_csv_list(path):
    with open(path, 'r', encoding="utf8") as csvfile:
        reader = csv.reader(csvfile)
        rows = [row for row in reader]
    return rows


# 输入路径按行读取execl
def path_execl_list(path):
    wb = load_workbook(path)
    sheets = wb.worksheets  # 获取当前所有的sheet
    # 获取第一张sheet
    sheet1 = sheets[0]
    rows = sheet1.rows
    # 迭代读取所有的行
    linshi = []
    for row in rows:
        row_val = [col.value for col in row]
        linshi.append(row_val)
    return linshi


# 百度分词(获取前number个)
def baidufenci(APP_ID, API_KEY, SECRET_KEY, number, title, content):
    client = AipNlp(APP_ID, API_KEY, SECRET_KEY)
    results = re.compile('<[^>]+>')
    content = results.sub("", content)
    key = client.keyword(title, content)
    keys = []
    for i in key['items']:
        keys.append(i['tag'])
    key = keys[0:number]
    return key


# 正则清除html标签
def dele_content_html(content):
    results = re.compile(r'<[^>]+>', re.S)
    return results.sub("", content)


# 压缩html
def yasuo_html(txt):
    return re.sub(r">\s+<", "><", txt)


# 正则提取
def get_zhengxe(qian, hou,content):
    mulu_gz = 'r' + '%s(.+?)%s' % (qian, hou)
    return re.findall(mulu_gz, content, re.S)


# 去除空标签对
def dele_kong_html_dui(txt):
    return re.sub(r'<([a-z]+\d?)\b[^>]*>( |[\s　])*</\1>', '', txt)


# 去除广告
def dele_guanggao(html_content):
    # 去除邮箱
    results = re.compile(r'(\w[-\w.+]*#([A-Za-z0-9][-A-Za-z0-9]+\.)+[A-Za-z]{2,14})', re.S)
    html_content = results.sub("", html_content)
    results = re.compile(r'(\w[-\w.+]*@([A-Za-z0-9][-A-Za-z0-9]+\.)+[A-Za-z]{2,14})', re.S)
    html_content = results.sub("", html_content)
    # 去除网址
    results = re.compile(r'([a-zA-z]+://[^\s]*)', re.S)
    html_content = results.sub("", html_content)
    # 去除手机号
    results = re.compile(r'(0?(13|14|15|17|18|19)[0-9]{9})', re.S)
    html_content = results.sub("", html_content)
    # 去除座机号
    results = re.compile(r'([0-9-()（）]{7,18})', re.S)
    html_content = results.sub("", html_content)
    # 去除QQ号
    results = re.compile(r'([1-9]([0-9]{5,11}))', re.S)
    html_content = results.sub("", html_content)
    # 去除域名
    results = re.compile(
        r'(\w+\.\w+\.\w+\.(com|net|me|co|cn|xyz|cc|asia|love|icu|store|fun|work|ltd|top|site|club|online))', re.S)
    html_content = results.sub("", html_content)
    results = re.compile(r'(\w+\.\w+\.(com|net|me|co|cn|xyz|cc|asia|love|icu|store|fun|work|ltd|top|site|club|online))',
                         re.S)
    html_content = results.sub("", html_content)
    results = re.compile(r'(\w+\.(com|net|me|co|cn|xyz|cc|asia|love|icu|store|fun|work|ltd|top|site|club|online))',
                         re.S)
    return results.sub("", html_content)


# 写入数据库数据
def mysql_xie(db, sql, txt):
    # 创建游标
    cursor = db.cursor()
    # 写入数据
    cursor.execute(sql, txt)
    db.commit()
    cursor.close()


# 大写转小数字
def max_number_min(num):
    new_str = ""
    num_dict = {"零": u"0", "一": u"1", "二": u"2", "三": u"3", "四": u"4", "五": u"5", "六": u"6", "七": u"7", "八": u"8",
                "九": u"9"}
    listnum = list(num)
    shu = []
    for i in listnum:
        if i in num_dict:
            shu.append(num_dict[i])
        else:
            shu.append(i)
    new_str = "".join(shu)
    return new_str


# 定义页面打开函数,使用了随机ua和代理ip
def get_url_daili(url, ip):
    req = urllib.request.Request(url)
    req.add_header("User-Agent", "%s" % get_ua())
    proxy = urllib.request.ProxyHandler({'http': ip})
    opener = urllib.request.build_opener(proxy, urllib.request.HTTPHandler)
    urllib.request.install_opener(opener)
    data = urllib.request.urlopen(req).read().decode('utf-8', 'ignore')
    return data
